<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.model');

class BlookingModelEditor extends JModel {
	var $_data;
	var $_id;
	var $_db;

	function __construct() {
		parent::__construct();
		JLoader::register('BlookingHelper',
		JPATH_COMPONENT.'/helpers/BlookingHelper.php');
	}

	function getContent($type) {
		$db =& JFactory::getDBO();
		$sql = "SELECT ".$type." FROM #__bookitutils WHERE id='1';";
		$db->setQuery($sql);
		return $db->loadResult();
	}

	function getEmailSubject($emailType) {
		$db =& JFactory::getDBO();
		$sql = "SELECT ".$emailType."_subject FROM #__bookitutils WHERE id='1';";
		$db->setQuery($sql);
		return $db->loadResult();
	}

	/*function storeEmailSubject($emailType, $subject) {
		$sql = "UPDATE ".$this->_db->nameQuote('#__bookitutils')." SET ".
	$this->_db->nameQuote($emailType."_subject")." = ".$this->_db->quote($subject).
	" WHERE ".$this->_db->nameQuote('id')."=".$this->_db->quote('1');
	$this->_db->setQuery($sql);

	if (!$this->_db->query()) {
	$this->setError($this->_db->getErrorMsg());
	return false;
	}

	return true;
	}*/

	function store() {

		$res = array();
		$text = JRequest::getVar( 'description', '', 'post', 'string', JREQUEST_ALLOWHTML );
		$type = JRequest::getVar('type');
		$lang= JRequest::getVar('language', 'en');
		$subject= JRequest::getVar('subject');
		$subject_column="";
		$res['type']=$type;
		$res['lang']=$lang;
		//die($res['type']);

		if($lang!='en')
		{
			$column = $type.'_'.$lang;
			//Add the columns if the translations do not exist
			if(!BlookingHelper::columnExists('#__bookitutils', $type.'_'.$lang))
			{
				$query = "ALTER TABLE ".$this->_db->nameQuote("#__bookitutils").
				" ADD ".$this->_db->nameQuote($type.'_'.$lang).
				" TEXT NULL DEFAULT NULL";
				$this->_db->setQuery($query);
				$this->_db->query();
			}
				
			if ($type=='adminemail' || $type=='adminprebooking' || $type=='custemail' ||
					$type=='custprebooking' || $type=='custverified')
			{
				$subject_column = $type.'_'.'subject_'.$lang;
				//Add the columns if the translations do not exist
				if(!BlookingHelper::columnExists('#__bookitutils', $subject_column))
				{
					$query = "ALTER TABLE ".$this->_db->nameQuote("#__bookitutils").
					" ADD ".$this->_db->nameQuote($subject_column).
					" TEXT NULL DEFAULT NULL";
					$this->_db->setQuery($query);
					$this->_db->query();
				}
			}
		}
		else
		{
			$column = $type;
			if ($type=='adminemail' || $type=='adminprebooking' ||
					$type=='custemail' || $type=='custverified' || $type=='custprebooking')
			{
				$subject_column = $type.'_'.'subject';
			}
			else
			{
				$subject_column = "";
			}
		}

		if($subject_column!="")
		{
			$sql = "UPDATE ".$this->_db->nameQuote('#__bookitutils')." SET ".
					$this->_db->nameQuote($subject_column)." = ".$this->_db->quote($subject).
					" WHERE ".$this->_db->nameQuote('id')."=".$this->_db->quote('1');
			$this->_db->setQuery($sql);
			$this->_db->query();
		}

		$sql = "UPDATE ".$this->_db->nameQuote('#__bookitutils')." SET ".
				$this->_db->nameQuote($column)." = ".$this->_db->quote($text).
				" WHERE ".$this->_db->nameQuote('id')."=".$this->_db->quote('1');
		$this->_db->setQuery($sql);

		if (!$this->_db->query()) {
			$this->setError($this->_db->getErrorMsg());
			$res['code']=-1;
		}
		else
			$res['code']=1;
		return $res;
	}
}