<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.model');

class BlookingModelFinalform extends JModel {
	var $_data;
	var $_id;
	var $_db;

	function __construct() {
		parent::__construct();
		JLoader::register('BlookingHelper',
		JPATH_COMPONENT.'/helpers/BlookingHelper.php');
	}

	function getData() {
		$db =& JFactory::getDBO();
		$sql = "SELECT * FROM ".$this->_db->nameQuote('#__bookitutils').
		" WHERE ".$this->_db->nameQuote('id')."=".$this->_db->quote('1');
		$db->setQuery($sql);
		return $db->loadObject();
	}

	function store() {
		$row =& $this->getTable('editor');
		$data = JRequest::get( 'post',  JREQUEST_ALLOWHTML );
		$form_msg = JRequest::getVar('form_msg', '', 'post', 'string', JREQUEST_ALLOWRAW);
		$type = JRequest::getVar('type', 'form_msg');
		$lang= JRequest::getVar('language', 'en');

		$res = array();
		$res['type']=$type;
		$res['lang']=$lang;
		$res['code']='1';



		if($lang!='en')
		{
			$column = $type.'_'.$lang;
			//Add the columns if the translations do not exist
			if(!BlookingHelper::columnExists('#__bookitutils', $column))
			{
				$query = "ALTER TABLE ".$this->_db->nameQuote("#__bookitutils").
				" ADD ".$this->_db->nameQuote($column).
				" TEXT NULL DEFAULT NULL";
				$this->_db->setQuery($query);
				$this->_db->query();
			}
		}
		else
		{
			$column = $type;
		}


		 
		$sql = "UPDATE ".$this->_db->nameQuote('#__bookitutils').
		" SET ".$this->_db->nameQuote($column)."=".
		$this->_db->quote($form_msg).
		" WHERE ".$this->_db->nameQuote('id')." = ".$this->_db->quote('1');
		$this->_db->setQuery($sql);
		if (!$this->_db->query()) $res['code']=-1;

		return $res;
	}
}
