<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

class BlookingModelGateways extends JModel {
	function _construct() {
		parent::__construct();
	}

	function getPlugins15() {
		$db =& JFactory::getDBO();
		$sql = "SELECT * FROM ".$this->_db->nameQuote('#__plugins')." WHERE ".
				$this->_db->nameQuote('name')." LIKE ".$this->_db->quote('blooking%');
		$db->setQuery($sql);
		return $db->loadObjectList();
	}

	function getPlugins17() {
		$db =& JFactory::getDBO();
		$sql = "SELECT * FROM ".$this->_db->nameQuote('#__extensions')." WHERE ".
				$this->_db->nameQuote('name')." LIKE ".$this->_db->quote('blooking%').
				" AND ".$this->_db->nameQuote('type')."=".$this->_db->quote('plugin');
		$db->setQuery($sql);
		return $db->loadObjectList();
	}

	function publish15($id) {
		if( JRequest::getVar('task') == 'publish') {
			$publish = 1;
		} else {
			$publish = 0;
		}

		$db =& JFactory::getDBO();

		$sql= "UPDATE ".$this->_db->nameQuote('#__plugins')." SET ".
				$this->_db->nameQuote('published')."=".$this->_db->quote($publish).
				"WHERE ".$this->_db->nameQuote('id')."=".$this->_db->quote($id);

		$db->setQuery($sql);
		$result = $db->query();

		return $result;
	}

	function publish17($id) {
		if( JRequest::getVar('task') == 'publish') {
			$publish = 1;
		} else {
			$publish = 0;
		}

		$db =& JFactory::getDBO();

		$sql= "UPDATE ".$this->_db->nameQuote('#__extensions')." SET ".
				$this->_db->nameQuote('enabled')."=".$this->_db->quote($publish).
				"WHERE ".$this->_db->nameQuote('extension_id')."=".$this->_db->quote($id);

		$db->setQuery($sql);
		$result = $db->query();

		return $result;
	}
}