<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
JHTML::_('behavior.formvalidation');
$editor =& JFactory::getEditor();

$js = <<<EOD
window.addEvent( 'domready', function() {
		$('language').value='{$this->lang}';

	var jsonReq = new Request.JSON({
  		url: 'index.php',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){

		if (typeof responseJSON != 'undefined' &&  responseJSON != null )
	  	{

	  		if ('{$this->filetype}' == 'custverified' ||
	  		'{$this->filetype}' == 'custprebooking' ||
	  		'{$this->filetype}' == 'custemail' ||
	  		'{$this->filetype}' == 'adminprebooking' ||
	  		'{$this->filetype}' == 'adminemail')
	  		{
	  			if(responseJSON.subject!=null && responseJSON.subject!="")
	  			$('subject').value = responseJSON.subject;
	  		}
	  		translation = responseJSON.description;
			if (translation!=null && translation!="")
			{

				if (typeof(WFEditor) != 'undefined' && WFEditor!=null)
				WFEditor.setContent('description',translation);
				else if (typeof(tinyMCE)!='undefined' && tinyMCE!=null &&
				tinyMCE.activeEditor!=null)
				{
					tinyMCE.activeEditor.setContent(translation);
				}
				//Check if JCK editor
				else if (typeof(CKEDITOR) !== 'undefined' && CKEDITOR.instances != null)
				{
					for ( instance in CKEDITOR.instances )
					{
						CKEDITOR.instances[instance].setData( translation );
					}
				}
				else
				{
					document.id('description').value = translation;
				}
			}
	  	}
  	}
 });
	jsonReq.get({'option': 'com_blooking', 'view':'editor',
			'controller':'editor', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'type':'{$this->filetype}'});
	$('language').addEvent('change',function(){

		jsonReq.get({'option': 'com_blooking', 'view':'editor',
			'controller':'editor', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'type':'{$this->filetype}'});

	});

});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $js );
?>
<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform"
		<?php if ($this->filetype == 'custemail' ||
				$this->filetype == 'custprebooking' ||
				$this->filetype == 'custverified' ||
				$this->filetype == 'adminprebooking' ||
			$this->filetype == 'adminemail') { ?>
			style="float: left; width: 60%;" <?php }?>>
			<legend>
				<?php echo $this->legend ?>
			</legend>
			<table class="admintable">
				<tr>
					<td align="right" class="key"><label for="language"> <?php echo JText::_( 'COM_BOOKIT_LANGUAGE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['language']; ?></td>
				</tr>

				<?php if ($this->filetype == 'custemail' || 
						$this->filetype == 'custprebooking' ||
						$this->filetype == 'custverified' ||
						$this->filetype == 'adminprebooking' ||
				$this->filetype == 'adminemail') {?>
				<tr>
					<td align="right" class="key"><label for="subject"> <?php echo JText::_( 'COM_BOOKIT_EMAIL_SUBJECT' ); ?>:
					</label>
					</td>
					<td><input class="required text_area" type="text" name="subject"
						id="subject" size="80" maxlength="250"
						value="<?php echo $this->emailSubject;?>" />
					</td>
				</tr>
				<?php }?>
			</table>
			<div>
				<?php

				echo $editor->display('description', $this->filecontent, '650', '400', '60', '20');
				?>

			</div>


		</fieldset>
		<?php if ($this->filetype == 'custemail' || 
				$this->filetype == 'custprebooking' ||
				$this->filetype == 'custverified' ||
				$this->filetype == 'adminprebooking' ||
		$this->filetype == 'adminemail') { ?>
		<fieldset class="adminform" style="float: right; width: 34%;">
			<legend>Available Fields</legend>
			<ul>
				<li>{firstname} - The customers firstname</li>
				<li>{surname} - The customers lastname</li>
				<li>{email} - The customers email address</li>
				<li>{phone} - The customers telephone number</li>
				<li>{address1} - The first line of the customers address</li>
				<li>{address2} - The second line of the customers address</li>
				<li>{address3} - The third line of the customers address</li>
				<li>{postcode} - The customers postcode</li>
				<li>{country} - The customers country</li>
				<li>{bookingid} - The booking id or ids if a multi booking</li>
				<li>{checkin} - The booking start date</li>
				<li>{checkout} - The booking end date</li>
				<li>{nights} - The total number of nights</li>
				<li>{roomtype} - The type of room booked</li>
				<li>{totalprice} - The total cost of the booking</li>
				<li>{deposit} - The deposit required for the booking</li>
				<li>{amountreceived} - Payment received by Payment Gateway</li>
				<li>{remainingprice} - Total Price less the amount received</li>
				<li>{pricelessdeposit} - Total Price less the deposit</li>
				<li>{adults} - The number of adults in the booking</li>
				<li>{childs} - The number of children in the booking</li>
				<li>{guests} - The total number of guests (adults + children)</li>
				<li>{extras} - Extra services selected outputted as list</li>
				<li>{extraprices} - To be used with {extras}, outputs the prices of
					extras in a list</li>
				<li>{requests} - Requests the customer inputted at the time of
					booking</li>
				<li>{terms} - The terms and conditions of the booking</li>
				<li>{cancellation} - Your cancellation policy</li>
				<li>{cancelbookinglink} - A link to allow the customer to cancel
					their booking</li>
				<?php if ($this->filetype == 'custverified') {?>
				<li>{paymentlink} - A link to allow the customer to pay for their
					booking</li>
				<?php } ?>
				<li>{paymentmethod} - The payment gateway used by the customer</li>
			</ul>
		</fieldset>
		<?php }?>
	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="task" value="" /> <input type="hidden" name="type"
		value="<?php echo $this->filetype; ?>" /> <input type="hidden"
		name="controller" value="editor" />
</form>
