<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view' );
class BlookingViewGateways extends JView {
	function display($tpl = null) {

		JToolbarHelper::title( JText::_( 'COM_BOOKIT_PAYMENT_GATEWAYS'), 'gateways' );
		$document  = & JFactory::getDocument();
		$document->addStyleSheet(
				JURI::root().'administrator/components/com_blooking/css/icons.css',
				'text/css', null, array() );

		JToolBarHelper::cancel();

		$model = $this->getModel('gateways');

		if(version_compare(JVERSION,'1.6.0','ge')) {
			$plugins = $model->getPlugins17();
			$link = JURI::root()."administrator/index.php?option=com_blooking&
					controller=gatewayseditor&id=";
		} else {
			$plugins = $model->getPlugins15();
			$link = JURI::root()."administrator/index.php?option=com_plugins&
					view=plugin&task=edit&cid[]=";
		}

		$this->assignRef( 'plugins', $plugins );
		$this->assignRef( 'link', $link );
		parent::display($tpl);
	}
}