<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access'); ?>

<form action="<?php echo 'index.php';?>" method="post" name="adminForm"
	id="adminForm">
	<div id="editcell">
		<table>
			<tr>
				<td width="100%"><?php echo JText::_('COM_BOOKIT_FILTER'); ?>: <input
					type="text" name="filter_search" id="search"
					value="<?php echo $this->lists['search'];?>" class="text_area"
					onchange="document.adminForm.submit();" />
					<button onclick="this.form.submit();">
						<?php echo JText::_("COM_BOOKIT_GO"); ?>
					</button>

					<button
						onclick="document.adminForm.filter_search.value=''; this.form.submit();">
						<?php echo JText::_('COM_BOOKIT_RESET'); ?>
					</button>
				</td>

			</tr>
		</table>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="2%"><input type="checkbox" name="toggle" value=""
						onclick="checkAll(<?php echo count( $this->categories ); ?>);" />
					</th>
					<th width="2%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_ID', 'idcategory', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="45%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_CATEGORY_NAME', 'name', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="5%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_MAX_ADULTS', 'nguests', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="5%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_MAX_CHILDS', 'nchilds', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="5%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_ROOM_COST', 'cost', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="5%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_COST_ADULTS', 'adult_cost', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="5%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_COST_CHILDS', 'child_cost', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="10%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_CHARGE_PER', 'chargeper', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>

				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="9"><?php echo $this->pagination->getListFooter(); ?></td>
				</tr>
			</tfoot>
			<?php

			$k = 0;
			for ($i=0, $n=count( $this->categories ); $i < $n; $i++) {
        $row =& $this->categories[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->idcategory );
        $link = JRoute::_( 'index.php?option=com_blooking&controller=roomcategory&task=edit&cid[]='.$row->idcategory );
        ?>
			<tr class="<?php echo "row$k"; ?>">
				<td width="2%" align="center"><?php echo $checked; ?>
				</td>
				<td width="2%" align="center"><?php echo $row->idcategory; ?>
				</td>

				<td width="45%" align="center"><a href="<?php echo $link; ?>"><?php echo $row->name; ?>
				</a>
				</td>
				<td width="5%" align="center"><?php echo $row->nguests; ?>
				</td>
				<td width="5%" align="center"><?php echo $row->nchilds; ?>
				</td>
				<td width="5%" align="center"><?php if ($row->price_mode==1) {
					echo "-";
				} else {
                	echo $row->cost;
    			}?>
				</td>
				<td width="5%" align="center"><?php if ($row->price_mode==0) {
					echo "-";
				} else {
                	echo $row->adult_cost;
    			}?>
				</td>
				<td width="5%" align="center"><?php if ($row->price_mode==0) {
					echo "-";
				} else {
                	echo $row->child_cost;
    			}?>
				</td>
				<td width="5%" align="center"><?php echo JText::_($row->chargeper);?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
    }
    ?>
		</table>
	</div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="task" value="listing" /> <input type="hidden"
		name="view" value="roomcategory" /> <input type="hidden"
		name="boxchecked" value="0" /> <input type="hidden" name="controller"
		value="roomcategory" /> <input type="hidden" name="filter_order"
		value="<?php echo $this->lists['order']; ?>" /> <input type="hidden"
		name="filter_order_Dir" value="<?php $this->lists['order_Dir']; ?>" />
</form>
