<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );
class BlookingViewRules extends JView {
	function display($tpl = null) {
		JLoader::register('BlookingHelper',
		JPATH_COMPONENT.'/helpers/BlookingHelper.php');
		$option = JRequest::getCmd('option');
		$mainframe = JFactory::getApplication();
		JToolbarHelper::title( JText::_( 'COM_BOOKIT_RULES' ),
		'rules');
		$document  = & JFactory::getDocument();
		$document->addStyleSheet(
				JURI::root().'administrator/components/com_blooking/css/icons.css',
				'text/css', null, array() );

		JToolBarHelper::addNewX();
		JToolBarHelper::divider();
		JToolBarHelper::editListX();
		JToolBarHelper::customX( 'copy', 'copy.png', 'copy_f2.png', 'COM_BOOKIT_COPY', true );
		JToolBarHelper::deleteList();
		JToolBarHelper::divider();
		JToolBarHelper::customX('publish','publish.png', 'publish_f2.png', 'COM_BOOKIT_ACTIVATE', true);
		JToolBarHelper::customX('unpublish','unpublish.png', 'unpublish_f2.png', 'COM_BOOKIT_DEACTIVATE', true);
		JToolBarHelper::divider();
		JToolBarHelper::cancel();

		global  $option;
		$mainframe = JFactory::getApplication();
		$state =& $this->get( 'state' );
		$lists = array();

		$filter_order = $mainframe->getUserStateFromRequest
		($option.'filter_order','filter_order','name');

		$filter_order_Dir = $mainframe->getUserStateFromRequest
		($option.'filter_order_Dir','filter_order_Dir','ASC');

		$filter_search = $mainframe->getUserStateFromRequest
		($option.'filter_search','filter_search');

		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$lists['search'] =  $filter_search;

		$rules =& $this->get('Data');
		$pagination =& $this->get('Pagination');

		$date_code = BlookingHelper::getDateFormat();
		$this->assignRef('date_code', $date_code);
		$this->assignRef( 'rules', $rules );
		$this->assignRef( 'pagination', $pagination );
		$this->assignRef( 'lists', $lists );

		parent::display($tpl);
	}
}