<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );
//Set css
$stylesheet = 'year_calendar.css';
$path = 'components/com_blooking/css/';
JHTML::stylesheet($stylesheet, $path);

require_once JPATH_SITE.DS."modules".DS."mod_blookingavailability".DS."helper.php";

$lang =& JFactory::getLanguage();
$extension = 'com_blooking';
$base_dir = JPATH_SITE;
$language_tag = ModBlookingAvailabilityHelper::getLang(true);
$lang->load($extension, $base_dir, $language_tag, true);


//Module Params
$months = $params->get('months', 3);
$idcategory = $params->get('idcategory', 1);
$rows = $params->get('rows', 4);
$cols = $params->get('cols', 3);


$com_params =  ModBlookingAvailabilityHelper::getParams();
$dateformatcode = $com_params->dateformat;

$calendar =ModBlookingAvailabilityHelper::getCalendar ($idcategory, $months, 
	$rows, $cols);

require(JModuleHelper::getLayoutPath('mod_blookingavailability','default'));
	

//-----------SET TEMPLATE-------------------------------------------------------



?>