/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to 
 * BlooKing! someplace in your code and provide a link to 
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can 
 * redistribute it and/or modify it under the terms of the GNU General Public 
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __               
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
var Days;

function init (phpStrings) {  

	Days = phpStrings.Days;
}


function updateDateField(field,format,min_stay,last_date){

	var now = new Date();
	var today = new Date (now.getFullYear(), now.getMonth(), now.getDate() );
	if (typeof(min_stay)==undefined || min_stay==null) min_stay=1;
	document.id('bookit_search_results').style.display = 'none';
	document.id('valid_to_error_div').style.display = 'none';
	document.id('quick_results').set('html','');
	document.id('quick_results_error').set('html','');

	if (document.id('bookit_search_result_room_id')!=null)
		document.id('bookit_search_result_room_id').set('html', ''); 

	document.id("valid_from").style.border="";
	document.id("valid_to").style.border="";

	if (format=='d-m-Y')
	{
		if (field=='valid_from')
		{
			var arr =  document.id('valid_from').value.split("-");
			newFromDate = new Date(arr[2],arr[1]-1,arr[0]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[2],last_arr[1]-1,last_arr[0]);		
			var testLastDateFrom = addDays(newFromDate, min_stay);
			
			if (newFromDate < today )
			{
				document.id('valid_from').value=getPHPDay(now.getDate())+"-"+
				getPHPMonth(now.getMonth())+"-"+now.getFullYear();
				setDayName("valid_from", "d-m-Y");
				document.id("valid_from").style.border='2px solid red';

				newToDate = addDays(now, min_stay);
				document.id('valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("valid_to", "d-m-Y");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('valid_to_error_div').style.display = 'block';
				
				newDate = removeDays(newLastDate, min_stay);
				document.id('valid_from').value=getPHPDay(newDate.getDate())+"-"+
				getPHPMonth(newDate.getMonth())+"-"+newDate.getFullYear();
				setDayName("valid_from", "d-m-Y");
				document.id("valid_from").style.border='2px solid red';

				document.id('valid_to').value=getPHPDay(newLastDate.getDate())+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+newLastDate.getFullYear();
				setDayName("valid_to", "d-m-Y");
				document.id("valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
			}
		}
		else if (field=='valid_to')
		{
			var arr =  document.id('valid_to').value.split("-");
			newToDate = new Date(arr[2],arr[1]-1,arr[0]);
			var arr2 =  document.id('valid_from').value.split("-");
			newFromDate = new Date(arr2[2],arr2[1]-1,arr2[0]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[2],last_arr[1]-1,last_arr[0]);		
			
			if (newFromDate < today)
			{
				document.id('valid_from').value=getPHPDay(now.getDate())+"-"+
				getPHPMonth(now.getMonth())+"-"+now.getFullYear();
				setDayName("valid_from", "d-m-Y");
				document.id("valid_from").style.border='2px solid red';

				newToDate = addDays(now , min_stay);
				document.id('valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("valid_to", "d-m-Y");
			}
			else if (newToDate > newLastDate)
			{		
				document.id('valid_to_error_div').style.display = 'block';

				document.id('valid_to').value=getPHPDay(newLastDate.getDate())+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+newLastDate.getFullYear();
				setDayName("valid_to", "d-m-Y");
				document.id("valid_to").style.border='2px solid red';
				return;
			}			
			if(daysBetween( newFromDate, newToDate) < min_stay)
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value= getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("valid_to", "d-m-Y");
				document.id("valid_to").style.border='2px solid red';
			}
		}
	}
	else if (format=='Y-m-d')
	{
		if (field=='valid_from')
		{
			var arr =  document.id('valid_from').value.split("-");
			newFromDate = new Date(arr[0],arr[1]-1,arr[2]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[0],last_arr[1]-1,last_arr[2]);		
			var testLastDateFrom = addDays(newFromDate, min_stay);
			
			if (newFromDate < today)
			{
				document.id('valid_from').value=now.getFullYear()+"-"+
				getPHPMonth(now.getMonth())+"-"+getPHPDay(now.getDate());
				setDayName("valid_from", "Y-m-d");
				document.id("valid_from").style.border='2px solid red';
				newToDate = addDays(now, min_stay);
				document.id('valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
				setDayName("valid_to", "Y-m-d");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('valid_to_error_div').style.display = 'block';

				newDate = removeDays(newLastDate, min_stay);
				document.id('valid_from').value=newDate.getFullYear()+"-"+
				getPHPMonth(newDate.getMonth())+"-"+getPHPDay(newDate.getDate());
				setDayName("valid_from", "Y-m-d");
				document.id("valid_from").style.border='2px solid red';

				document.id('valid_to').value=newLastDate.getFullYear()+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+getPHPDay(newLastDate.getDate());
				setDayName("valid_to", "Y-m-d");
				document.id("valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
			}
		}
		else if (field=='valid_to')
		{
			var arr =  document.id('valid_to').value.split("-");
			newToDate = new Date(arr[0],arr[1]-1,arr[2]);
			var arr2 =  document.id('valid_from').value.split("-");
			newFromDate = new Date(arr2[0],arr2[1]-1,arr2[2]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[0],last_arr[1]-1,last_arr[2]);		
			
			if (newFromDate < today)
			{
				document.id('valid_from').value=now.getFullYear()+"-"+
				getPHPMonth(now.getMonth())+"-"+getPHPDay(now.getDate());
				setDayName("valid_from", "Y-m-d");
				document.id("valid_from").style.border='2px solid red';
				newToDate = addDays(now, min_stay);
				document.id('valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+getPHPDay(newToDate.getDate());
				setDayName("valid_to", "Y-m-d");
			}
			else if (newToDate > newLastDate)
			{		
				document.id('valid_to_error_div').style.display = 'block';

				document.id('valid_to').value=newLastDate.getFullYear()+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+getPHPDay(newLastDate.getDate());
				setDayName("valid_to", "Y-m-d");
				document.id("valid_to").style.border='2px solid red';
				return;
			}		
			if(daysBetween( newFromDate, newToDate) < min_stay)
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
				setDayName("valid_to", "Y-m-d");
				document.id("valid_to").style.border='2px solid red';
			}
		}
	}
	else if (format=='m/d/Y')
	{
		if (field=='valid_from')
		{
			var arr =  document.id('valid_from').value.split("/");
			newFromDate = new Date(arr[2],arr[0]-1,arr[1]);	
			var last_arr =  last_date.split("/");
			newLastDate = new Date(last_arr[2],last_arr[0]-1,last_arr[1]);		
			var testLastDateFrom = addDays(newFromDate, min_stay);
			
			if (newFromDate < today)
			{
				document.id('valid_from').value=getPHPMonth(now.getMonth())+"/"+
				getPHPDay(now.getDate())+"/"+now.getFullYear();
				setDayName("valid_from", "m/d/Y");
				document.id("valid_from").style.border='2px solid red';

				newToDate = addDays (now, min_stay);
				document.id('valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("valid_to", "m/d/Y");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('valid_to_error_div').style.display = 'block';

				newDate = removeDays(newLastDate, min_stay);
				document.id('valid_from').value=getPHPMonth(newDate.getMonth())+"/"+
				getPHPDay(newDate.getDate())+"/"+newDate.getFullYear();
				setDayName("valid_from", "m/d/Y");
				document.id("valid_from").style.border='2px solid red';

				document.id('valid_to').value=getPHPMonth(newLastDate.getMonth())+"/"+
				getPHPDay(newLastDate.getDate())+"/"+newLastDate.getFullYear();
				setDayName("valid_to", "m/d/Y");
				document.id("valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
			}
		}
		else if (field=='valid_to')
		{
			var arr =  document.id('valid_to').value.split("/");
			newToDate = new Date(arr[2],arr[0]-1,arr[1]);
			var arr2 =  document.id('valid_from').value.split("/");
			newFromDate = new Date(arr2[2],arr2[0]-1,arr2[1]);
			var last_arr =  last_date.split("/");
			newLastDate = new Date(last_arr[2],last_arr[0]-1,last_arr[1]);	

			
			if (newFromDate < today)
			{
				document.id('valid_from').value=getPHPMonth(now.getMonth())+"/"+
				getPHPDay(now.getDate())+"/"+now.getFullYear();
				setDayName("valid_from", "m/d/Y");
				document.id("valid_from").style.border='2px solid red';

				newToDate = addDays (now, min_stay);
				document.id('valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("valid_to", "m/d/Y");
			}
			else if (newToDate > newLastDate)
			{			
				document.id('valid_to_error_div').style.display = 'block';

				document.id('valid_to').value=getPHPMonth(newLastDate.getMonth())+"/"+
				getPHPDay(newLastDate.getDate())+"/"+newLastDate.getFullYear();
				setDayName("valid_to", "m/d/Y");
				document.id("valid_to").style.border='2px solid red';
				return;
			}	
			if(daysBetween( newFromDate, newToDate) < min_stay)
			{
				newToDate = addDays(newFromDate, min_stay);
				document.id('valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("valid_to", "m/d/Y");
				document.id("valid_to").style.border='2px solid red';

			}
		}
	}
}

function days_between(date1, date2) {
	// The number of milliseconds in one day
	var ONE_DAY = 1000 * 60 * 60 * 24;
	// Convert both dates to milliseconds
	var date1_ms = date1.getTime();
	var date2_ms = date2.getTime();
	// Calculate the difference in milliseconds
	var difference_ms = Math.abs(date1_ms - date2_ms);
	// Convert back to days and return
	return Math.round(difference_ms/ONE_DAY);
}

function getPHPMonth (month) {
	switch(month)
	{
	case 0:
		return "01";
	case 1:
		return "02";
	case 2:
		return "03";
	case 3:
		return "04";
	case 4:
		return "05";
	case 5:
		return "06";
	case 6:
		return "07";
	case 7:
		return "08";
	case 8:
		return "09";
	case 9:
		return "10";
	case 10:
		return "11";
	case 11:
		return "12";
	default:
		alert ("getPHPMonth invalid month error");
	}
}
function getJSDay (d)
{
	switch(d)
	{
	case 0:
		return Days.sunday;
	case 1:
		return Days.monday;
	case 2:
		return Days.tuesday;
	case 3:
		return Days.wednesday;
	case 4:
		return Days.thursday;
	case 5:
		return Days.friday;
	case 6:
		return Days.saturday;
	default:
		alert ("jetJSDay invalid day error");
	}
}

function getPHPDay (day){
	if (day < 10) {
		return "0"+day;
	}
	else {
		return day;
	}
}

function setDayName(field, format){
	var myDays=[Days.sunday,Days.monday,Days.tuesday,Days.wednesday,
	            Days.thursday,Days.friday,Days.saturday,Days.sunday];

	if (format=='d-m-Y')
	{
		var arr =  document.id(field).value.split("-");
		newFromDate = new Date(arr[2],arr[1]-1,arr[0]);
		document.id(field+"_day_div").set('html',myDays[newFromDate.getDay()]);
	}
	else if (format=='Y-m-d')
	{
		var arr =  document.id(field).value.split("-");
		newFromDate = new Date(arr[0],arr[1]-1,arr[2]);
		document.id(field+"_day_div").set('html', myDays[newFromDate.getDay()]);
	}
	else if (format=='m/d/Y')
	{
		var arr =  document.id(field).value.split("/");
		newFromDate = new Date(arr[2],arr[0]-1,arr[1]);
		document.id(field+"_day_div").set('html', myDays[newFromDate.getDay()]);
	}
}
//function updateCategoryField(){

//if (document.id('idcategory').value !== 0 &&
//document.id("category_error_div").innerHTML !== "")
//{
//document.id("category_error_div").innerHTML ="";
//}
//onGuestsChange();

//}
function addCommas(nStr)
{
	nStr += '';
	x = nStr.split('.');
	x1 = x[0];
	x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;
	while (rgx.test(x1)) {
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	}
	return x1 + x2;
}

function updateGuestFields (no, max_childs)
{
	var no = parseInt (no);
	document.id('bookit_search_results').style.display = 'none';
	document.id('quick_results').set('html','');
	document.id('quick_results_error').set('html','');

	for (var i=1; i<=no; i++)
	{
		document.id('room'+i+'_adults').set('class', 'bookit_search_rooms_dropbox');
		if (max_childs>0)
			document.id('room'+i+'_children').set('class', 'bookit_search_rooms_dropbox');

	}
	if (no < 8)
	{

		for (var j=(no+1); j<=8; j++)
		{
			document.id('room'+j+'_adults').set ('class', 'bookit_search_rooms_dropbox_hidden');
			if (max_childs>0)
				document.id('room'+j+'_children').set ('class','bookit_search_rooms_dropbox_hidden');

		}
	}
}

function onGuestsChange ()
{

	document.id('bookit_search_results').style.display = 'none';
	document.id('quick_results').set('html','');
	document.id('quick_results_error').set('html','');
}

function toggleGuestDetails(id, label_id)
{

	if(document.id(id).style.display!='none')
	{
		document.id(id).style.display='none';
		document.id(label_id).set('class','toggle_label_closed');
	}
	else
	{
		document.id(id).style.display='';
		document.id(label_id).set('class','toggle_label_open');
	}

}

function daysBetween(from, to) {

	// Copy date parts of the timestamps, discarding the time parts.
	var one = new Date(from.getFullYear(), from.getMonth(), from.getDate());
	var two = new Date(to.getFullYear(), to.getMonth(), to.getDate());

	// Do the math.
	var millisecondsPerDay = 1000 * 60 * 60 * 24;
	var millisBetween = two.getTime() - one.getTime();
	var days = millisBetween / millisecondsPerDay;

	// Round down.
	return Math.floor(days);
}

function addDays(myDate,days) {
	return new Date(myDate.getTime() + days*24*60*60*1000);
}

function removeDays(myDate,days) {
	return new Date(myDate.getTime() - days*24*60*60*1000);
}


function listsUpdate (idcategory, value, total, lang, type, callerid)
{
	//convert checkbox checked to 1 or 0
	if (value == true) {
		value = 1;
	} else if (value == false) {
		value = 0;
	}

	if (type=='rooms')
	{
		for (var i=1; i<=value; i++)
		{
			document.id(idcategory+"_row_"+i).style.display='block';
			document.id(idcategory+"_room_"+i+"_adults").style.display='block';
			if (document.id(idcategory+"_room_"+i+"_children")!=null)
				document.id(idcategory+"_room_"+i+"_children").style.display='block';

		}

		for (var i=parseInt(value)+1; i<=parseInt(total); i++)
		{
			document.id(idcategory+"_row_"+i).style.display='none';
			document.id(idcategory+"_room_"+i+"_adults").style.display='none';
			if (document.id(idcategory+"_room_"+i+"_children")!=null)
				document.id(idcategory+"_room_"+i+"_children").style.display='none';
		}
	}
	
	rooms_lists = new Object();
	$$('.category_rooms_list').each(function(el) {
		if (el.checked == true) {
			rooms_lists[el.id] = 1;
		} else if (parseInt(el.value)>0) {
			rooms_lists[el.id] = el.value;
		}	
	});

	adults_lists = new Object();
	$$('.category_adults_list').each(function(el) 
			{
		if (el.style.display=='block')
			adults_lists[el.id] = el.value;
			});

	children_lists = new Object();
	$$('.category_children_list').each(function(el) 
			{
		if (el.style.display=='block')
			children_lists[el.id] = el.value;
			});

	price_lists = new Object();
	$$('.bookit_rate_box').each(function(el){

		if (el.id!=idcategory+'_price' && el.id!='total_price')
		{
			price_lists[el.id] = parseFloat(el.innerHTML);
		}


	});

	$$('.bookit_search_result_right').each(function(el){
		el.style.display='block';
	});
	
	update.post({'option':'com_blooking', 'task':'updateResults', 
		'format':'json', 'view':'blooking_multiroom', 'tmpl':'component',
		'rooms_lists':JSON.stringify( rooms_lists ),
		'adults_lists':JSON.stringify( adults_lists ),
		'children_lists':JSON.stringify( children_lists ),
		'price_lists':JSON.stringify( price_lists ),
		'room_list_id':idcategory+'_'+type, 'type':type, 
		'price_id':idcategory+'_price', 'lang':lang,
		'valid_from':document.id('valid_from').value, 'valid_to':document.id('valid_to').value, 
		'updated_value':value, 'callerid':callerid});

}

function updateGuests (idcategory, type, value, callerid)
{
	ajaxUpdateGuests.post({'option':'com_blooking', 'task':'updateGuests', 
		'format':'json', 'view':'blooking_multiroom', 'tmpl':'component',
		'idcategory':idcategory, 'type':type, 'updated_value':value, 'callerid':callerid});
}


var ajaxUpdateGuests = new Request.JSON({
	method: 'post',
	url: 'index.php',
	data: {},
	async:false,
	onRequest: function() { },
	onFailure: function(xhr) {},
	onSuccess: function(r) {

		if (typeof(r)!=undefined && r!=null)
		{
			found=false;

			if(r.new_options!=null && typeof(r.new_options)!=undefined
					&& document.id(r.id_to_update)!=null)
			{
				oldIndex = document.id(r.id_to_update).value;
				document.id(r.id_to_update).empty();
				var i=0;
				for (var key in r.new_options)
				{ 
					if (i==r.new_options.length) break;
					i++;
					var opt = document.createElement('option');
					opt.text = r.new_options[key];
					opt.value = key;
					document.id(r.id_to_update).add(opt, null);
					if (key==oldIndex) found=true;
				}

				if (found==true)
				{
					dd =document.id(r.id_to_update);
					for (var i = 0; i < dd.options.length; i++) 
					{
						if (dd.options[i].value === oldIndex) 
						{
							dd.selectedIndex = i;
							break;
						}

					}

				}

			}
		}
	},
	onError: function(response) {
		alert('error');
	}
});

var update = new Request.JSON({
	method: 'post',
	url: 'index.php',
	data: {},
	onRequest: function() { 
	},
	onFailure: function(xhr) {},
	onSuccess: function(r) {

		if (typeof(r)!=undefined && r!=null)
		{
			//updateScrolling();
			
			if (r.new_category_price!=null && typeof(r.new_category_price)!=undefined)
			{
				document.id(r.idcategory+"_price").set('html',r.new_category_price);
				if (r.new_category_price==0)
				{
					document.id(r.idcategory+"_price_div").style.display='none';
				}
				else
					document.id(r.idcategory+"_price_div").style.display='block';
			}
			if (r.new_category_price_before!=null && typeof(r.new_category_price_before)!=undefined)
			{

				document.id(r.idcategory+"_price_before").set('html',r.new_category_price_before);
			}
			if (r.price_extra_text!=null && typeof(r.price_extra_text)!=undefined)
			{
				document.id(r.idcategory+"_below").set('html',r.price_extra_text);
			}


			if (r.daily_rates!=null && typeof(r.daily_rates)!=undefined)
			{
				if (r.daily_rates!="")
				{
					document.id(r.idcategory+"_daily_rates").set('html', r.daily_rates);
					document.id(r.idcategory+"_daily_rates_header").style.display='';
				}

				else
				{
					document.id(r.idcategory+"_daily_rates_header").style.display='none';
					document.id(r.idcategory+"_daily_rates").set('html', "");
				}

			}

			if (r.summary!=null && typeof(r.summary)!=undefined)
				document.id('bookit_search_summary').set('html', r.summary);
		}
	},
	onError: function(response) {
		alert('error');
	}
});


function setsession (lang)
{
	rooms_lists = new Object();
	$$('.category_rooms_list').each(function(el) {
		if (el.checked == true) {
			rooms_lists[el.id] = 1;
		} else if (parseInt(el.value)>0) {
			rooms_lists[el.id] = el.value;
		}
	});


	adults_lists = new Object();
	$$('.category_adults_list').each(function(el) 
			{
		if (el.style.display=='block')
		{
			adults_lists[el.id] = el.value;
		}

			});

	children_lists = new Object();
	$$('.category_children_list').each(function(el) 
			{
		if (el.style.display=='block')
			children_lists[el.id] = el.value;
			});

	price_lists = new Object();
	$$('.bookit_rate_box').each(function(el){

		if (el.id!='total_price')
		{
			price_lists[el.id] = parseFloat(el.innerHTML);
		}

	});

	session.post({'option':'com_blooking', 'task':'setsession', 
		'format':'json', 'view':'blooking_multiroom', 'tmpl':'component',
		'rooms_lists':JSON.stringify( rooms_lists ),
		'adults_lists':JSON.stringify( adults_lists ),
		'children_lists':JSON.stringify( children_lists ),
		'price_lists':JSON.stringify( price_lists ),
		'valid_from':document.id('valid_from').value, 'valid_to':document.id('valid_to').value,
		'lang':lang});
}

var session = new Request.JSON({
	method: 'post',
	url: 'index.php',
	data: {},
	onRequest: function() { 

	},
	onFailure: function(xhr) {;},
	onSuccess: function(r) {
		//submit the form
		document.id('bookingform').submit();
	},
	onError: function(response) {
		alert('error');
	}
});

///** SCROLLING **/
function updateScrolling() {
	 /* smooth */
	  new SmoothScroll({duration:500});
	  var res_pos = document.id('bookit_search_result_found').getPosition();
	  var res_size = document.id('bookit_search_result_found').getSize();
	  var res_bottom_pos = res_pos.y + res_size.y;
	  
	  /* scrollspy instance */
	  var ss = new ScrollSpy({
	    min: res_pos.y,
	    max: res_bottom_pos,
	    onTick:  function(position,state,enters) {

	    	 scrollTop = position.y;
	         elementOffset = document.id('bookit_search_result_found').getPosition().y;
	         distance = (elementOffset - scrollTop);
	         height = document.id('bookit_search_result_found').getSize().y;
	    	if ( distance<0 && distance>-height ) 
	    	{
	    		if (!document.id('bookit_search_summary').hasClass('fixed'))
	    			document.id('bookit_search_summary').addClass('fixed');
	    	}
	    	else {
	    		if (document.id('bookit_search_summary').hasClass('fixed'))
	    		document.id('bookit_search_summary').removeClass('fixed');
	    	}
	    	
	    },
	    onEnter: function(position,state,enters) {
	    	//document.id('bookit_search_summary').addClass('fixed');
	    	//console.log ("ENTER");
	    },
	    onLeave: function(position,state,leaves) {
	    	//document.id('bookit_search_summary').removeClass('fixed');
	    	//console.log ("LEAVE");
	    
	    },
	    container: window
	  });

}


	