<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
// No direct access
defined('_JEXEC') or die('Restricted access');
$url = JRoute::_('index.php');
$no_category_error_str = JText::_('COM_BOOKIT_PLESE_SELECT_A_ROOM_TYPE');
$end_day_error_str = JText::_('COM_BOOKIT_CHECK_OUT_DAY_MUST_BE')." ";
$start_day_error_str = JText::_('COM_BOOKIT_CHECK_IN_DAY_MUST_BE')." ";
$guests_error_str = JText::_('COM_BOOKIT_THE_SELECTED_ROOM_TYPE_CANNOT_ACCOMMODATE_THE_SELECTED_NUMBER_OF_GUESTS');
$min_guests_error_str = JText::_('COM_BOOKIT_THE_SELECTED_ROOM_TYPE_HAS_A_MINIMUM_NUMBER_OF_GUESTS');
$min_stay_str = JText::_('COM_BOOKIT_MIN_STAY')." ";
$max_stay_str = JText::_('COM_BOOKIT_MAX_STAY')." ";
$nights_str = JText::_("COM_BOOKIT_NIGHTS_LC");
$allowed_staying_str = JText::_("COM_BOOKIT_THE_ALLOWED_STAYING_PERIOD");
$no_vacancies_error_str = JText::_('COM_BOOKIT_SORRY_NO_VACANCIES').
JText::_('COM_BOOKIT_PLEASE_CHANGE_CRITERIA');
$available_str = JText::_('COM_BOOKIT_ROOMS_ARE_AVAILABLE_FOR_THE_SELECTED_DATES');
$max_booking_error_str = JText::_('COM_BOOKIT_THE_MAXIMUM_BOOKING_PERIOD_IS').
" ".$this->view->max_booking_period." ".JText::_('COM_BOOKIT_NIGHTS');
//PHP STRINGS FOR JS
$monday = JText::_("Monday");
$tuesday = JText::_("Tuesday");
$wednesday = JText::_("Wednesday");
$thursday = JText::_("Thursday");
$friday = JText::_("Friday");
$saturday = JText::_("Saturday");
$sunday = JText::_("Sunday");

$mod_nguests = JRequest::getVar('mod_nguests', 0);
$mod_nchilds = JRequest::getVar('mod_nchilds', 0);


$ajax = <<<EOD
window.addEvent('domready',function() {

var firstTime=true;
var phpStrings = {
Days : {  monday : "{$monday}", tuesday : "{$tuesday}",
wednesday : "{$wednesday}", thursday : "{$thursday}",
friday : "{$friday}", saturday : "{$saturday}",
sunday : "{$sunday}" }
};
new init(phpStrings);

var Browser = {
Version: function() {
var rv = 999;
if (navigator.appName == 'Microsoft Internet Explorer')
{
var ua = navigator.userAgent;
var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
if (re.exec(ua) != null)
rv = parseFloat( RegExp.$1 );
}
return rv;
}
}

if (Browser.Version() <= 7) {
JSON.decode = function(string, secure){
return jsonParse(string);
};
}

var req = new Request.JSON({
method: 'get',
url: '',
data: {},
onRequest: function() {
document.id('quick_results_error').set('html', '');
document.id('quick_results').set('html', '');
document.id('quick_results').removeClass('bookit_available');
document.id('quick_results').removeClass('bookit_unavailable');
document.id('bookit_search_loading').addClass('ajax_loading');
},
onFailure: function(xhr) {;},
onSuccess: function(r) {

document.id('bookit_search_loading').removeClass ('ajax_loading');
if (typeof(r)!='undefined' && r!=null)
{
if (r.code < 0)
{
document.id('quick_results').addClass('bookit_unavailable');
if (r.code == -1)
{
document.id('quick_results_error').
set('html', "{$guests_error_str}");
}
else if (r.code == -2)
{
document.id('quick_results_error').
set('html',"{$min_guests_error_str}");
}
else if (r.code == -4)
{
document.id('quick_results_error').
set('html',"{$max_booking_error_str}");
}
else if (r.code == -3)
{
if (r.min_stay !="0" && r.max_stay!="0")
{
document.id('quick_results_error').
set('html',"{$allowed_staying_str}"+r.min_stay+
" - "+r.max_stay+" "+"{$nights_str}");
}
else if (r.min_stay != "0")
{
document.id('quick_results_error').
set('html',"{$min_stay_str}"+r.min_stay+" "+
"{$nights_str}");
}
else if (r.max_stay != "0")
{
document.id('quick_results_error').
set('html',"{$max_stay_str}"+r.max_stay+" "+
"{$nights_str}");
}
}
else if (r.code == -5)
{
if (r.start_stay != "" && r.end_day != "")
{
document.id('quick_results_error').
set('html',"{$start_day_error_str}"+r.start_day+
", "+"{$end_day_error_str}"+" "+r.end_day);
}
else if (r.start_stay != "")
{
document.id('quick_results_error').
set('html',"{$start_day_error_str}"+" "+r.start_day);
}
else if (r.end_day != "")
{
document.id('quick_results_error').
set('html',"{$end_day_error_str}"+" "+r.end_day);
}
}
}
else
{
if(r.remaining_rooms > 0)
{
//Show results
document.id('quick_results').addClass('bookit_available');
document.id('quick_results').set('html',"{$available_str}");
document.id('bookit_search_results').style.display='';
document.id('bookit_search_result_found').set('html',r.output);
document.id('idrules').value=r.idrules;

}
else
{
document.id('quick_results').addClass('bookit_unavailable');
//No vacancies
document.id('quick_results').set('html',
"{$no_vacancies_error_str}");
}
document.id('price').value=r.price;
}
//ONE MONTH CALENDAR
if (r.calendar != "")
{
document.id('bookit_search_calendar_div').set('html',r.calendar);
document.id('bookit_search_calendar_div').style.display='';
document.id('calendar_buttons').style.visibility='visible';
document.id('new_date').value=r.new_date;
}
//THREE MONTHS CALENDAR
if (r.year_calendar != "")
{
document.id('bookit_search_results_nov').set('html',r.year_calendar);
document.id('bookit_search_results_nov').style.height='250px';
document.id('bookit_search_results_nov').style.display='';
document.id('availability_fieldset').style.display='';
}
}
},
onError: function(text, error) {
alert(error);
}
});


document.id('bookit_search_button').addEvent('click',function(event){
event.stop();

if (document.id('idcategory').value == 0)
{
document.id('category_error_div').set('html',"{$no_category_error_str}");
document.id('quick_results_error').set('html','');
return;
}

req.get({'option':'com_blooking', 'task':'searchResults',
'format':'json', 'view':'blooking', 'nguests':document.id('nguests').value,
'nchilds':document.id('nchilds').value, 'valid_from':document.id('valid_from').value,
'valid_to':document.id('valid_to').value,
'idcategory':document.id('idcategory').value, 'mode':'+0 month',
'show_daily_rates': '{$this->view->show_daily_rates }',
'show_cal': '{$this->view->show_cal }', 'tmpl':'component',
'show_year_calendar': '{$this->view->show_year_calendar }',
'lang':'{$this->view->lang}'});
});

//-----CALENDAR EVENTS
var jsonCalReq = new Request.JSON({
method: 'get',
url: '',
data: {},
onRequest: function() {
},
onFailure: function(xhr) {;},
onSuccess: function(r) {

if (typeof(r)!=undefined && r!=null)
{
document.id('bookit_search_calendar_div').set('html',r.calendar);
document.id('bookit_search_calendar_div').style.display='';
document.id('calendar_buttons').style.visibility='visible';
document.id('new_date').value=r.new_date;
}
},
onError: function(text, error) {
alert(error);
}
});


document.id('prev_link').addEvent('click',function(event){
event.stop();
jsonCalReq.get({'option':'com_blooking', 'task':'availabilityCalendar',
'format':'json', 'view':'blooking','idcategory':document.id('idcategory').value,
'valid_from':document.id('valid_from').value, 'mode':'-1 month', 'tmpl':'component',
'new_date':document.id('new_date').value});
});

document.id('next_link').addEvent('click',function(event){
event.stop();
jsonCalReq.get({'option':'com_blooking', 'task':'availabilityCalendar',
'format':'json', 'view':'blooking','idcategory':document.id('idcategory').value,
'valid_from':document.id('valid_from').value, 'mode':'+1 month', 'tmpl':'component',
'new_date':document.id('new_date').value});
});

//-------UPDATE ROOM CATEGORY-----------

var jsonCategReq = new Request.JSON({
method: 'get',
url: '',
data: {},
onRequest: function() {	},
onFailure: function(xhr) {;},
onSuccess: function(r) {

if (typeof(r)!=undefined && r!=null)
{
var adults_options = r.adults;
var children_options = r.children;
/* Remove all options from the select list */
document.id('nguests').empty();
document.id('nchilds').empty();
/* Insert the new ones from the arrays above */
var i=0;
if (adults_options != "")
{
for (var key in adults_options)
{ if (i==adults_options.length) break;
if(i==0) document.id('nguests').value = adults_options[key];
i++;
var opt = document.createElement('option');
opt.text = adults_options[key];
opt.value = key;

var sel = document.id('nguests');
var drop = sel.options;
drop[drop.length] = new Option(opt.text,opt.value)
//document.id('nguests').options.add(opt, null);
}
document.id('bookit_adults_div').style.display = '';


}
else //Hide adults
{
document.id('bookit_adults_div').style.display = 'none';
document.id('nguests').value=0;
}
var i=0;
if (children_options != "")
{
for (var key in children_options)
{ if (i==children_options.length) break;
if(i==0) document.id('nchilds').value = children_options[key];
i++;
var opt = document.createElement('option');
opt.text = children_options[key];
opt.value = key;

var sel = document.id('nchilds');
var drop = sel.options;
drop[drop.length] = new Option(opt.text,opt.value)

//document.id('nchilds').add(opt, null);
}
document.id('bookit_children_div').style.display = '';

if ('{$mod_nchilds}' > 0)
{
document.id('nchilds').value = '{$mod_nchilds}';
}


}
else //Hide children
{

document.id('bookit_children_div').style.display = 'none';
document.id('nchilds').value=0;
}
}
},
onError: function(text, error) {
alert(text);
}
});

//If calling from module do not update guests onload
if('{$mod_nguests}' <= 0 )
{

jsonCategReq.get({'option':'com_blooking', 'task':'oncategorychange',
'format':'json', 'view':'blooking', 'tmpl':'component',
'idcategory':document.id('idcategory').value});
firstTime=false;

}
else
{
//Hide children if zero
if(document.id('nchilds').length <=0)
{
document.id('bookit_children_div').style.display = 'none';
document.id('nchilds').value=0;
}

//Submit the form
req.get({'option':'com_blooking', 'task':'searchResults',
'format':'json', 'view':'blooking', 'nguests':document.id('nguests').value,
'nchilds':document.id('nchilds').value, 'valid_from':document.id('valid_from').value,
'valid_to':document.id('valid_to').value,
'idcategory':document.id('idcategory').value, 'mode':'+0 month',
'show_daily_rates': '{$this->view->show_daily_rates }',
'show_cal': '{$this->view->show_cal }', 'tmpl':'component',
'show_year_calendar': '{$this->view->show_year_calendar }',
'lang':'{$this->view->lang}'});
}

document.id('idcategory').addEvent('change',function(event){
event.stop();
if (document.id('idcategory').value !== 0 &&
document.id("category_error_div").innerHTML !== "")
{
document.id("category_error_div").innerHTML ="";
}
document.id('bookit_search_results').style.display = 'none';
document.id('quick_results').set('html','');
document.id('quick_results_error').set('html','');

jsonCategReq.get({'option':'com_blooking', 'task':'oncategorychange',
'format':'json', 'view':'blooking', 'tmpl':'component',
'idcategory':document.id('idcategory').value});
});


});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $ajax );
if(JRequest::getCmd('task')!="displayModule") {
	if ($this->menuparams['showtitle'] == '1') {?>
<div
	class="<?php echo $this->menuparams['class'].$this->escape($this->menuparams['pagesuffix']); ?>">
	<?php if (isset($this->menuparams['pagetitle'])) {
		echo $this->menuparams['pagetitle'];
	}?>
</div>
<?php 
	}
}?>

<?php if ($this->view->show_bar==1) {?>
<!-- Progress Bar -->
<ol id="progress">
	<li class="first-step current"><span><?php echo JText::_("COM_BOOKIT_BOOKING_DETAILS");?>
	</span> <?php echo JText::_("COM_BOOKIT_DATES_GUESTS_ROOM_TYPE");?>
	</li>
	<li class="second-step"><span><?php echo JText::_("COM_BOOKIT_REVIEW_BOOKING");?>
	</span> <?php echo JText::_("COM_BOOKIT_EXTRAS_REQUESTS");?>
	</li>
	<li class="payment-step"><span><?php echo JText::_("COM_BOOKIT_PAYMENT");?>
	</span> <?php echo JText::_("COM_BOOKIT_PP_BANK_TRANSFER");?>
	</li>
</ol>
<div class="bookit_search_clear"></div>

<?php }?>

<form
	id="bookingform" action="<?php echo JRoute::_( 'index.php');?>"
	name="searchForm" method="post">
	<div id="bookit_search_div" class="single_search_div">
		<div id="bookit_search_tdl">
			<p>
				<label for="valid_from" class="bookit_search_label"> <?php echo JText::_("COM_BOOKIT_CHECK_IN");?>
				</label>
			</p>
			<p>
				<?php echo $this->view->from_datepicker; ?>
			</p>

		</div>

		<div class="bookit_search_tdr">
			<p>
				<label for="valid_to" class="bookit_search_label"> <?php echo JText::_("COM_BOOKIT_CHECK_OUT")?>
				</label>
			</p>
			<p>
				<?php echo $this->view->to_datepicker;?>
			</p>
		</div>
		<div class="bookit_search_clear"></div>

		<div id="valid_from_day_div" class="bookit_search_tdl_day single">
			<?php echo $this->view->from_day;?>
		</div>
		<div id="valid_to_day_div" class="bookit_search_tdr_day single">
			<?php echo $this->view->to_day;?>
		</div>
		<div class="bookit_search_clear"></div>

		<div class="bookit_search_clear"></div>
		<div id="valid_to_error_div" class="bookit_search_error"
			style="display: none">
			<?php echo JText::_("COM_BOOKIT_LAST_DATE_ERROR")." ".$this->view->last_date;?>
		</div>
		<div class="bookit_search_clear"></div>

		<div class="bookit_search_tdr">
			<p>
				<?php 

				echo "<label for='idcategory' class='bookit_search_label'>";
				echo JText::_("COM_BOOKIT_ROOM_TYPE");
				echo "</label>";
					
				echo $this->view->lists['catid'];
				echo "<div id='category_error_div' class='bookit_search_error'></div>";

				?>
			</p>
		</div>


		<div id="bookit_adults_div" class="bookit_search_tds">
			<p>
				<label for="nguests" class="bookit_search_label"> <?php echo JText::_("COM_BOOKIT_ADULTS");?>
				</label>
			</p>
			<p>
				<?php echo $this->view->lists['nguests'];?>
			</p>
		</div>

		<div id="bookit_children_div" class="bookit_search_tds">
			<p>
				<label for="nchilds" class="bookit_search_label"> <?php 

				if ($this->view->max_min->max_childs > 0)
				{
					echo JText::_("COM_BOOKIT_CHILDREN");
					}?>
				</label>
			</p>
			<p>
				<?php echo $this->view->lists['nchilds'];?>
			</p>
		</div>


		<div class="bookit_search_clear"></div>

		<div class="bookit_search_tdl_day" id="last_date_error"></div>
		<div class="bookit_search_clear"></div>
		<div class="bookit_search_tdr">

			<p>
				<button id="bookit_search_button" class="bookit_button">
					<?php echo JText::_('COM_BOOKIT_SEARCH'); ?>
				</button>
			</p>
			<div id="bookit_search_loading"></div>
		</div>

		<div class="bookit_search_clear"></div>
		<div id="quick_results"></div>
		<div class="bookit_search_clear"></div>
		<div id="quick_results_error"></div>

	</div>

	<div id="bookit_search_calendar_wrapper">
		<div id="calendar_buttons">
			<a href='#' id='prev_link'> <?php echo "<<";?>
			</a> <a href='#' id='next_link'><?php echo ">>";?> </a>
		</div>
		<div id="bookit_search_calendar_div" style="display: none"></div>
	</div>

	<div class="bookit_search_clear"></div>



	<div id="bookit_search_results" style="display: none">
		<fieldset class="bookit_search_fieldset">
			<span class="bookit_search_legent"> <?php echo JText::_("COM_BOOKIT_SEARCH_RESULTS");?>
			</span>
			<div id="bookit_search_result_found"></div>
			<div class="bookit_search_clear"></div>
			<div id="bookit_search_result_other"></div>
			<div class="bookit_search_clear"></div>
		</fieldset>
	</div>
	<fieldset id="availability_fieldset" class="bookit_search_fieldset"
		style="display: none">
		<span class="bookit_search_legent"> <?php echo JText::_("COM_BOOKIT_AVAILABILITY");?>
		</span>
		<div id="bookit_search_results_nov" style="display: none"></div>
	</fieldset>

	<!-- Hidden helper fields -->
	<input type="hidden" id="new_date" value=""></input> <input
		type="hidden" id="start_day" value=""></input> <input type="hidden"
		id="end_day" value=""></input> <input type="hidden" id="price"
		name="price" value=""></input> <input type="hidden" id="idrules"
		name="idrules" value=""></input>

	<!-- AC 1.5.7.4 - SEF Shorter URLS -->
	<input type="hidden" id="option" name="option" value="com_blooking" />
	<input type="hidden" id="controller" name="controller"
		value="bookingform" /> <input type="hidden" id="task" name="task"
		value="bookingdefault" /> <input type="hidden" name="itemid"
		value="<?php if (isset($this->menuid)) { echo $this->menuid; } else if (isset($this->itemid)) { echo $this->itemid; } ?>" />
	<!-- SEF ENDS -->
</form>
