<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
JHTML::_( 'behavior.mootools' );


//---------------------SET VARIABLES START--------------------------------------
$show_coupons = $this->view->show_coupons;
$deposit_fixed = floatval ($this->view->deposit_fixed);
$deposit_percent = floatval ($this->view->deposit_percent);
$deposit_mode = floatval ($this->view->deposit_mode);
$deposit = floatval ($this->view->deposit);
$nights = $this->view->nights;
$nights >1 ? $night=JText::_("COM_BOOKIT_NIGHTS"):
$night=JText::_("COM_BOOKIT_NIGHT");
$nguests= $this->view->nguests;
$nchilds= $this->view->nchilds;
$currency= $this->view->currency;
$valid_from = $this->view->valid_from;
$valid_to = $this->view->valid_to;
$price= $this->view->price;
$terms_conditions = $this->view->terms_conditions;
$cancellation_policy = $this->view->cancellation_policy;

$extra_text = $this->view->extra_text;
$idcategory = $this->view->idcategory;
$total_price= $this->view->total_price;
$category_name = $this->view->category_name;
$preferences_text = $this->view->preferences_text;

$invalid_coupon_msg=JText::_("COM_BOOKIT_INVALID_CODE");
$valid_coupon_msg=JText::_("COM_BOOKIT_VALID_CODE");
$you_save=JText::_('COM_BOOKIT_YOU_SAVE');
//---------------------SET VARIABLES END----------------------------------------

$ajax = <<<EOD
window.addEvent('domready',function() {
	var Browser = {
  Version: function() {
    var rv = 999;
    if (navigator.appName == 'Microsoft Internet Explorer')
   {
      var ua = navigator.userAgent;
      var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
      if (re.exec(ua) != null)
         rv = parseFloat( RegExp.$1 );
   }
   return rv;
  }
}

if (Browser.Version() <= 7) {
JSON.decode = function(string, secure){
  	  return jsonParse(string);
	};
}
if ({$show_coupons}=='0')
document.id('bookit_booking_details').addClass('maximized_details');
	var req = new Request.JSON({
		method: 'get',
		url: '',
		data: {},
		onRequest: function() {
			document.id('bookit_search_loading').addClass ('ajax_loading');
			document.id('bookit_booking_code_msg').removeClass('bookit_invalid_code');
			document.id('bookit_booking_code_msg').removeClass('bookit_valid_code');
			document.id('bookit_booking_code_msg').set('html','');
			document.id('bookit_coupon_discount').set('html','');
			},
		onFailure: function(xhr) {;},
		onSuccess: function(r) {
			document.id('bookit_search_loading').removeClass ('ajax_loading');
			if (typeof(r)!='undefined' && r!=null)
			{
		
				if (r.code <= 0)
				{
					document.id('bookit_booking_code_msg').addClass('bookit_invalid_code');
					document.id('bookit_booking_code_msg').set('html',"{$invalid_coupon_msg}");
					document.id('bookit_coupon_discount').set('html','');
				}
				else
				{
					document.id('bookit_booking_code_msg').addClass('bookit_valid_code');
					document.id('bookit_booking_code_msg').set('html',"{$valid_coupon_msg}");
					document.id('bookit_coupon_discount').set('html',"{$you_save}"+" "+r.discount+" "+"{$currency}"+"!");
					applyCoupon (r.discount, "{$currency}", "{$deposit}", "{$deposit_mode}");
					document.id('coupon_button').disabled=true;
					document.id('idcoupon').value=r.code;
					document.id('coupon_discount').value=r.discount;
			
			
				}
			}
		},
		onError: function(response) {
			alert(response);
		}
	});
	if (document.id('coupon_button')!=null)
	{
		document.id('coupon_button').addEvent('click',function(event){
		event.stop();
		req.get({'option':'com_blooking', 'controller':'bookingform',
			'task':'couponvalidation', 'format':'json', 'view':'bookingform',
			'idcategory':'{$this->view->idcategory}',
			'coupon_code':document.id('coupon_code').value,
			'valid_from':'{$this->view->valid_from}',
			'valid_to':'{$this->view->valid_to}',
			'price':'{$this->view->price}',
			'nguests':'{$this->view->nguests}',
			'nchilds':'{$this->view->nchilds}','tmpl':'component',
			'nights':'{$nights}'  });
		});
	}

	var myVerticalSlide = new Fx.Slide('options_toggle_div');
	document.id('toggle_search_panel').addEvent('click', function(event){
   		event.stop();
    	myVerticalSlide.toggle();
   
    	if (document.id('search_toggle_label_show').style.display=='')
    	{
	    	document.id('search_toggle_label_show').style.display='none';
	    	document.id('search_toggle_label_hide').style.display='';
    	}
    	else
    	{
    		document.id('search_toggle_label_show').style.display='';
	    	document.id('search_toggle_label_hide').style.display='none';
    	}
 	});

});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $ajax );
?>

<?php if ($this->view->show_bar==1) {?>
<!-- Progress Bar -->
<ol id="progress">
	<li class="first-step"><span><?php echo JText::_("COM_BOOKIT_BOOKING_DETAILS");?>
	</span> <?php echo JText::_("COM_BOOKIT_DATES_GUESTS_ROOM_TYPE");?>
	</li>
	<li class="second-step current"><span><?php echo JText::_("COM_BOOKIT_REVIEW_BOOKING");?>
	</span> <?php echo JText::_("COM_BOOKIT_EXTRAS_REQUESTS");?>
	</li>
	<li class="payment-step"><span><?php echo JText::_("COM_BOOKIT_PAYMENT");?>
	</span> <?php echo JText::_("COM_BOOKIT_PP_BANK_TRANSFER");?>
	</li>
</ol>
<div class="bookit_search_clear"></div>

<?php }?>

<form action="<?php echo JRoute::_( 'index.php' );?>" name="bookingForm"
	method="post" accept-charset="UTF-8">
	<fieldset class="bookit_booking_fieldset">
		<legend class="bookit_booking_legent">
			<?php echo JText::_("COM_BOOKIT_REVIEW_BOOKING")?>
		</legend>

		<div id="bookit_booking_details" class='bookit_box info'>
			<div class='bookit_box_heading'>
				<?php echo JText::_('COM_BOOKIT_BOOKING_OVERVIEW');?>
			</div>
			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_ROOM_TYPE");?>
				</div>
				<div class="bookit_booking_right_td">
					<span> <?php echo $category_name; ?>
					</span>
				</div>
			</div>

			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_CHECK_IN");?>
				</div>
				<div class="bookit_booking_right_td">
					<span> <?php echo $valid_from;?>
					</span>
				</div>
			</div>

			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_CHECK_OUT");?>
				</div>
				<div class="bookit_booking_right_td">
					<span> <?php echo $valid_to;?>
					</span>
				</div>
			</div>

			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_STAY_FOR");?>
				</div>
				<div class="bookit_booking_right_td">
					<span> <?php echo $nights." ".$night;?>
					</span>
				</div>
			</div>

			<?php if ($nguests>0){?>
			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_ADULTS");?>
				</div>
				<div class="bookit_booking_right_td">
					<span><?php echo $nguests;?> </span>
				</div>
			</div>

			<?php }?>
			<?php if ($nchilds>0){?>
			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_CHILDREN");?>
				</div>
				<div class="bookit_booking_right_td">
					<span> <?php echo $nchilds;?>
					</span>
				</div>
			</div>

			<?php }?>
			<div class="bookit_booking_wrapper">
				<div class="bookit_booking_left_td">
					<?php echo JText::_("COM_BOOKIT_PRICE");?>
				</div>
				<div class="bookit_booking_right_td_last">
					<span> <?php echo number_format ( $price, 2, '.', '')." ".$currency;?>
					</span>
				</div>
			</div>
		</div>

		<?php if ($show_coupons==1){?>

		<div id="bookit_booking_coupon" class='bookit_box info'>
			<div class='bookit_box_heading'>
				<?php echo JText::_('COM_BOOKIT_PROMOTIONAL_CODE');?>
			</div>
			<p>
				<span class='bookit_coupon_desc'> <?php echo JText::_('COM_BOOKIT_COUPON_INSTRUCTIONS');?>
				</span>
			</p>
			<div id='bookit_coupon_div'>

				<input type="text" name="code" id="coupon_code" />
				<button class="button" id="coupon_button">
					<?php echo JText::_("COM_BOOKIT_APPLY"); ?>
				</button>

			</div>

			<div id='bookit_search_loading'></div>
			<div class="bookit_booking_clear"></div>
			<div id='bookit_booking_code_msg'></div>
			<div id='bookit_coupon_discount'></div>
			<div class="bookit_booking_clear"></div>
		</div>


		<?php }?>

		<div class="bookit_booking_clear"></div>
		<?php if ($extra_text!="" || $preferences_text!="") {?>

		<div id="bookit_booking_options" class='bookit_box info'>
			<div class='bookit_box_heading'>
				<a id='toggle_search_panel' href='#'> <span
					id='search_toggle_label_hide' class='toggle_label_up'> <?php echo JText::_("COM_BOOKIT_OPTIONS") ?>
				</span> <span id='search_toggle_label_show'
					class='toggle_label_down' style="display: none"> <?php echo JText::_("COM_BOOKIT_OPTIONS") ?>
				</span>
				</a>
			</div>
			<div id='options_toggle_div'>
				<?php echo $extra_text; 
 echo $preferences_text;?>
			</div>
		</div>
		<?php }?>


		<div class="bookit_booking_clear"></div>
		<div class="bookit_booking_review_left"></div>


		<div id="bookit_booking_price" class='bookit_box info'>
			<div class='bookit_box_heading'>
				<?php echo JText::_('COM_BOOKIT_PRICE');?>
			</div>

			<div class='bookit_booking_final_price'>
				<span id='total_label'> <?php echo JText::_('COM_BOOKIT_TOTAL');?>
				</span>
				<div id="bookit_booking_total" class='total_value'>
					<?php echo number_format ( $total_price, 2, '.', '')." ".$currency;?>

				</div>

			</div>
			<div class="bookit_booking_clear"></div>

			<?php if ($deposit_percent>0 || $deposit_fixed>0) {?>
			<div class="bookit_booking_clear"></div>
			<div class='bookit_booking_final_price line'>
				<span id='total_label'> <?php echo JText::_('COM_BOOKIT_DEPOSIT');?>
				</span>
				<div id="bookit_booking_deposit" class='total_value'>
					<?php 
					if ($deposit_percent>0)
						echo number_format ( $total_price*$deposit_percent/100, 2, '.', '')." ".
						$currency;
					else if ($deposit_fixed>0)
						echo number_format ( $deposit_fixed, 2, '.', '')." ".$currency;
					?>
				</div>
			</div>
			<div class="bookit_booking_clear"></div>
			<?php }?>
		</div>
		<div class="bookit_booking_clear"></div>
		<div class="bookit_booking_clear"></div>
		<?php if ($terms_conditions!="" || $cancellation_policy!="") {?>
		<div id="bookit_booking_tc">
			<?php if ($terms_conditions!="") {?>
			<div class="bookit_booking_clear"></div>
			<div class='tc_cp_heading'>
				<?php echo JText::_('COM_BOOKIT_TERMS_CONDITIONS');?>
			</div>
			<div class="bookit_booking_tc_cp">
				<?php echo $terms_conditions;?>
			</div>
			<?php }?>
			<?php if ($cancellation_policy!="") {?>
			<div class="bookit_booking_clear"></div>
			<div class='tc_cp_heading'>
				<?php echo JText::_('COM_BOOKIT_CANCELLATION_POLICY');?>
			</div>
			<div class="bookit_booking_tc_cp">
				<?php echo $cancellation_policy;?>
			</div>
			<div class="bookit_booking_clear"></div>
			<?php }?>
		</div>
		<?php }?>
		<div class="bookit_booking_clear"></div>

		<div id="bookit_booking_continue">
			<?php if ($this->view->accept_txt!=""){ ?>
			<div id="bookit_booking_accept">
				<input type='checkbox' id='accept_checkbox'>
				<?php echo $this->view->accept_txt; ?>
			</div>
			<div class="bookit_booking_clear"></div>
			<div id="accept_error" style="display: none">
				<?php echo $this->view->accept_error_txt;?>
			</div>
			<div class="bookit_booking_clear"></div>

			<?php } ?>
			<div id="bookit_booking_accept_button" class='bookit_button'>
				<button type="button" name="continue_button" id="continue_button"
					onclick="checkTerms(0)">
					<?php echo JText::_("COM_BOOKIT_CONTINUE")?>
				</button>
			</div>
		</div>

		<!-- AC 1.5.7.4 SEF Shorter URLS -->
		<input type="hidden" name="option" value="com_blooking" /> <input
			type="hidden" name="controller" value="finalform" /> <input
			type="hidden" name="task" value="finaldefault" /> <input
			type="hidden" name="itemid" value="<?php echo $this->menuid ?>" />
		<!-- SEF ENDS -->

		<input type="hidden" name="layout" value="finalform" /> <input
			type="hidden" name="valid_from" id="valid_from"
			value="<?php echo $valid_from;?>" /> <input type="hidden"
			name="valid_to" id="valid_to" value="<?php echo $valid_to;?>" /> <input
			type="hidden" name="nguests" id="nguests"
			value="<?php echo $nguests;?>" /> <input type="hidden" name="nchilds"
			id="nchilds" value="<?php echo $nchilds;?>" /> <input type="hidden"
			name="idcategory" id="idcategory" value="<?php echo $idcategory;?>" />
		<input type="hidden" name="idcoupon" id="idcoupon" value="0" /> <input
			type="hidden" name="price" id="price" /> <input type="hidden"
			name="deposit" id="deposit" /> <input type="hidden" name="extra_ids"
			id="extra_ids" /> <input type="hidden" name="idrules" id="idrules"
			value="<?php echo $this->view->idrules; ?>" /> <input type="hidden"
			name="cnt" id="cnt" value="<?php echo $this->view->cnt;?>" /> <input
			type="hidden" name="coupon_discount" id="coupon_discount" value="0" />
		<input type="hidden" name="multiroom" id="multiroom" value="0" />

	</fieldset>
</form>
