/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
window.addEvent('domready', function(){ 
	document.formvalidator.setHandler('dropbox', function (value) {
		return (value != '-1');
	});
	
	//Validation for Max Guests Overall in Room Category Edit
	document.formvalidator.setHandler('maxguests', function (value) {
		if (value == "") {
			return true;
		} else {
			if (value < $('nguests').value) {
				return false;
			} else if (value < $('nchilds').value) {
				return false;
			} else {
				return true;
			}
		}		
	});
	
	//Validation for Min Guests Overall in Room Category Edit
	document.formvalidator.setHandler('minguests', function (value) {
		if (value == "") {
			return true;
		} else {
			if (value < $('nguests_min').value) {
				return false;
			} else if (value < $('nchilds_min').value) {
				return false;
			} else {
				return true;
			}
		}		
	});
	
//	document.formvalidator.setHandler('dates', function () {
//		return ($('valid_to').value > $('valid_from').value);
//	});
});
Joomla.submitbutton = function(task) {
	if (task == '') {
		return false;
	} else {
		var isValid=true;
		if (task != 'cancel' && task != 'close') {
			var forms = $$('form.form-validate');
			for (var i=0;i<forms.length;i++) {
				if (!document.formvalidator.isValid(forms[i])) {
					isValid = false;
					break;
				}
			}
		}
 
		if (isValid){
			
			Joomla.submitform(task);
			return true;
		} else {
			return false;
		}
	}
}