<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
// No direct access
defined('_JEXEC') or die('Restricted access');

class TableParams extends JTable {
	var $id = null;
	var $multiroom = null;
	var $dateformat = null; /*1:Y-m-d, 2:m-d-Y, 3:d-m-Y*/
	var $currency = null;
	var $max_booking_period = null;
	var $daysForCancellation = null;
	var $available_color = null;
	var $booked_color = null;
	var $pending_color = null;
	var $other_color = null;
	var $show_available = null;
	var $show_booked = null;
	var $show_pending = null;
	var $show_extra = null;
	var $show_coupons = null;
	var $deposit_percent = null;
	var $deposit_fixed = null;
	var $admin_email = null;
	var $admin_email2 = null;
	var $ok_url = null;
	var $failure_url = null;
	var $auto_confirm = null;
	var $show_calendar = null;
	var $show_year_calendar = null;
	var $show_daily_rates = null;
	var $start_monday = null;
	var $last_date = null;
	var $normalize = null;
	var $late_booking = null;
	var $show_bar = null;
	var $new_template = null;
	var $admin_confirm = null;

	function __construct( &$db ) {
		parent::__construct('#__bookitparams', 'id', $db);
	}
}