<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
$model = $this->getModel('availability');

$url = JRoute::_(JURI::base()."index.php?option=com_blooking&controller=availability&task=updateCalendar&format=raw");
$url2 = JRoute::_(JURI::base()."index.php?option=com_blooking&controller=availability&task=updaterooms");
$url3 = JRoute::_(JURI::base()."index.php?option=com_blooking&controller=availability&task=setstatus");

$day_details_msg = JText::_('COM_BOOKIT_CLICK_FOR_DETAILS');

$ajax = <<<EOD
window.addEvent( 'domready', function() {

	var jsonReq = new Request.JSON({
  		url: '{$url}',
 		method: 'get',
  		data: {json: 'yes' },
  		onRequest: function() {
			$('calendar_loading').style.display='';
			$('calendar').empty();
			$('day_details_div').set('html', "{$day_details_msg}");
		},
	  	onSuccess: function (responseJSON, responseText){
	  	$('calendar_loading').style.display='none';

		if (typeof responseJSON != 'undefined' &&
			responseJSON != null)
	  	{
	  
	  		$('calendar').set('html',responseJSON.calendar);
	  		if (responseJSON.code=="0")
	  		{
	  			$('prev_link').style.display="none";
	  			$('next_link').style.display="none";
	  		}
	  		else
	  		{
		  		$('prev_link').style.display="";
	  			$('next_link').style.display="";
	  			$('valid_from').value = responseJSON.valid_from;
	  		}
	  	}

  	}
 });
	$('head_category').set('html',$('idcategory').options[$('idcategory').selectedIndex].text);
	$('head_room').set('html',$('idroom').options[$('idroom').selectedIndex].text);


	jsonReq.get({'idcategory':$('idcategory').value,
		'valid_from':$('valid_from').value, 'mode':'+0 month',
		'idroom':$('idroom').value});

	$('prev_link').addEvent('click',function(event){
		event.stop();

		$('head_category').set('html',$('idcategory').options[$('idcategory').selectedIndex].text);
	  	$('head_room').set('html',$('idroom').options[$('idroom').selectedIndex].text);
		jsonReq.get({'idcategory':$('idcategory').value,
		'valid_from':$('valid_from').value, 'mode':'-6 month',
		'idroom':$('idroom').value});
	});

	$('next_link').addEvent('click',function(event){
		event.stop();
		$('head_category').set('html',$('idcategory').options[$('idcategory').selectedIndex].text);
	  	$('head_room').set('html',$('idroom').options[$('idroom').selectedIndex].text);
		jsonReq.get({'idcategory':$('idcategory').value,
		'valid_from':$('valid_from').value, 'mode':'+6 month',
		'idroom':$('idroom').value});
	});

	$('go_button').addEvent('click',function(event){
		$('head_category').set('html',$('idcategory').options[$('idcategory').selectedIndex].text);
	  	$('head_room').set('html',$('idroom').options[$('idroom').selectedIndex].text);
	 
		jsonReq.get({'idcategory':$('idcategory').value,
			'valid_from':$('valid_from').value,	'mode':'+0 month',
			'idroom':$('idroom').value});
	});

	var roomsReq = new Request.JSON({
  		url: '{$url2}',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText)
	  	{
			if (typeof responseJSON != 'undefined' &&
				responseJSON != null )
		  	{
		  		var new_options = responseJSON.rooms;
				/* Remove all options from the select list */
				$('idroom').empty();
				/* Insert the new ones from the array above */
				var i=0;
				for (var key in new_options)
				{
					if (i==new_options.length) break;
					i++;
					var opt = document.createElement('option');
					opt.text = new_options[key];
	        		opt.value = key;
	        		$('idroom').add(opt, null);
				}
		  	}
		}
	 });
 	
	$('idcategory').addEvent('change',function(){
		roomsReq.get({format: 'raw', 'idcategory':$('idcategory').value});
		});

	var setRoomsReq = new Request.JSON({
  		url: '{$url2}',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText)
	  	{
			if (typeof responseJSON != 'undefined' &&
				responseJSON != null )
		  	{
		  		var new_options = responseJSON.rooms;
				/* Remove all options from the select list */
				$('set_idroom').empty();
				/* Insert the new ones from the array above */
				var i=0;
				for (var key in new_options)
				{
		
					if (i==new_options.length) break;
					i++;
					var opt = document.createElement('option');
					opt.text = new_options[key];
	        		opt.value = key;
	        		$('set_idroom').add(opt, null);
				}
		  	}
		}
	 });
 	
	$('set_idcategory').addEvent('change',function(){
		setRoomsReq.get({format: 'raw', 'idcategory':$('set_idcategory').value});

		});
	setRoomsReq.get({format: 'raw', 'idcategory':$('set_idcategory').value});
	roomsReq.get({format: 'raw', 'idcategory':$('idcategory').value});

	var statusReq = new Request.JSON({
  		url: '{$url3}',
 		method: 'get',
  		data: {json: 'yes' },
  		onRequest: function() {
			$('booked_warning').style.display='none';
		},
	  	onSuccess: function (responseJSON, responseText)
	  	{
			if (typeof responseJSON != 'undefined' &&
				responseJSON != null )
		  	{
		  		if (responseJSON.result == 0)
		  		{
		  			$('booked_warning').style.display='';
		  		}
		  		else
		  		{
		  			$('booked_warning').style.display='none';
		  		}
		  		jsonReq.get({'idcategory':$('set_idcategory').value,
			'valid_from':$('set_valid_from').value,	'mode':'+0 month',
			'idroom':$('set_idroom').value});
		  	}
		}
	 });
	 $('set_button').addEvent('click',function(){
	  	$('head_category').set('html',$('set_idcategory').options[$('set_idcategory').selectedIndex].text);
	  	$('head_room').set('html',$('set_idroom').options[$('set_idroom').selectedIndex].text);
	  
		statusReq.get({format: 'raw', 'valid_from':$('set_valid_from').value,
		'valid_to':$('set_valid_to').value, 'idcategory':$('set_idcategory').value,
		'idroom':$('set_idroom').value, 'status':$('status').value});
		});
});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $ajax );
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
	<div id="left_panel">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_('COM_BOOKIT_CALENDAR');?>
			</legend>

			<div id="calendar_buttons">
				<a href='#' id='prev_link'> <?php echo JText::_('COM_BOOKIT_PREV');?>
				</a> <a href='#' id='next_link'> <?php echo JText::_('COM_BOOKIT_NEXT');?>
				</a> <span class='heading'> <?php echo JText::_('COM_BOOKIT_ROOM_CATEGORY').": "; ?>
				</span> <span id='head_category' class='heading_value'></span> <span
					class='heading'><?php echo JText::_('COM_BOOKIT_ROOM').": "; ?> </span>
				<span id='head_room' class='heading_value'></span>
			</div>
			<div id='calendar_loading' style="display: none;"></div>
			<div id="calendar"></div>

		</fieldset>
	</div>
	<div id="right_panel">

		<fieldset id="search_availability">
			<legend>
				<?php echo JText::_('COM_BOOKIT_SEARCH_AVAILABILITY');?>
			</legend>

			<table>
				<tr>
					<td width="90px" class="down_align_cell"><label for="valid_from"> <?php echo JText::_( 'COM_BOOKIT_FROM' ); ?>
					</label></td>
					<td width="90px" class="down_align_cell"><label for="idcategory"> <?php echo JText::_( 'COM_BOOKIT_ROOM_CATEGORY' ); ?>
					</label></td>
					<td class="down_align_cell"><label for="idroom"> <?php echo JText::_( 'COM_BOOKIT_ROOM' ); ?>
					</label></td>
				</tr>
				<tr>
					<td><?php 	

					echo JHTML::_('calendar',date($this->date_code->d1),
				'valid_from','valid_from',$this->date_code->d2,'size="10"');
		?>
					</td>
					<td><?php echo $this->lists['catid'];?></td>
					<td><?php echo $this->lists['roomid'];?></td>
					<td><input id="go_button" type="button"
						value="<?php echo JText::_('COM_BOOKIT_GO');?>" /></td>
				</tr>

			</table>
		</fieldset>
		<fieldset id="day_details">
			<legend>
				<?php echo JText::_('COM_BOOKIT_DAY_DETAILS');?>
			</legend>
			<div id='day_details_div'>
				<?php echo $day_details_msg; ?>
			</div>

		</fieldset>
		<fieldset id="set_availability">
			<legend>
				<?php echo JText::_('COM_BOOKIT_SET_AVAILABILITY');?>
			</legend>

			<table>
				<tr>
					<td width="90px" class="down_align_cell"><label
						for="set_valid_from"> <?php echo JText::_( 'COM_BOOKIT_FROM' ); ?>
					</label></td>
					<td width="90px" class="down_align_cell"><label for="set_valid_to">
							<?php echo JText::_( 'COM_BOOKIT_TO' ); ?>
					</label></td>
				</tr>
				<tr>
					<td class="up_align_cell"><?php 
					$js2 = 'onChange="(updateToField(\''.$this->date_code->d1.'\'));"';
					echo JHTML::_('calendar',date($this->date_code->d1),
		'set_valid_from','set_valid_from',$this->date_code->d2,'size="10"'.$js2);
		?>
					</td>
					<td class="up_align_cell"><?php 		
					echo JHTML::_('calendar',date($this->date_code->d1),
				'set_valid_to','set_valid_to',$this->date_code->d2,'size="10"');
		?>
					</td>
				</tr>
				<tr height="20px">
					<td width="90px" class="down_align_cell"><label
						for="set_idcategory"> <?php echo JText::_( 'COM_BOOKIT_ROOM_CATEGORY' ); ?>
					</label></td>
					<td class="down_align_cell"><label for="set_idroom"> <?php echo JText::_( 'COM_BOOKIT_ROOM' ); ?>
					</label></td>
					<td class="down_align_cell"><label for="status"> <?php echo JText::_( 'COM_BOOKIT_STATUS' ); ?>
					</label></td>

				</tr>

				<tr>
					<td class="up_align_cell"><?php echo $this->lists['set_catid'];?></td>
					<td class="up_align_cell"><?php echo $this->lists['set_roomid'];?>
					</td>
					<td class="up_align_cell"><?php echo $this->lists['status'];?></td>
					<td class="up_align_cell"><input id="set_button" type="button"
						value="<?php echo JText::_('COM_BOOKIT_SET');?>" /></td>
				</tr>
			</table>
			<div id='booked_warning' style="display: none">
				<?php echo JText::_('COM_BOOKIT_ACTIVE_BOOKINGS_FOUND');?>
			</div>

		</fieldset>


	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="task" value="" /> <input type="hidden"
		name="controller" value="availability" />
</form>
<script>
function updateToField(format){
	
	if (format=='d-m-Y')
	{
		var arr =  $('set_valid_from').value.split("-");
		newFromDate = new Date(arr[2],arr[1]-1,arr[0]);
		newFromDate.setDate(newFromDate.getDate());
		$('set_valid_to').value=getPHPDay(newFromDate.getDate())+"-"+
		getPHPMonth(newFromDate.getMonth())+"-"+newFromDate.getFullYear();
	}
	else if (format=='Y-m-d')
	{
		var arr =  $('set_valid_from').value.split("-");
		newFromDate = new Date(arr[0],arr[1]-1,arr[2]);
		
		newFromDate.setDate(newFromDate.getDate());
		$('set_valid_to').value=newFromDate.getFullYear()+"-"+
		getPHPMonth(newFromDate.getMonth())+"-"+
		getPHPDay(newFromDate.getDate());
	}
	else if (format=='m\/d\/Y')
	{
		var arr =  $('set_valid_from').value.split("/");
		newFromDate = new Date(arr[2],arr[0]-1,arr[1]);
		newFromDate.setDate(newFromDate.getDate()+1);
		$('set_valid_to').value=getPHPMonth(newFromDate.getMonth())+"/"+
		getPHPDay(newFromDate.getDate())+"/"+newFromDate.getFullYear();
	}
	
}

function getPHPMonth (month)
{
	if (month==0)
		return "01";
	else if (month==1)
		return "02";
	else if (month==2)
		return "03";
	else if (month==3)
		return "04";
	else if (month==4)
		return "05";
	else if (month==5)
		return "06";
	else if (month==6)
		return "07";
	else if (month==7)
		return "08";
	else if (month==8)
		return "09";
	else if (month==9)
		return "10";
	else if (month==10)
		return "11";
	else if (month==11)
		return "12";
	else
		alert ("Date Error!");
	
}

function getPHPDay (day){
	if (day<10)
		return "0"+day;
	else
		return day;
}



</script>
