<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
JHTML::_('behavior.tooltip');?>
<form action="index.php?option=com_blooking" method="post"
	name="adminForm">
	<?php if(version_compare(JVERSION,'1.6.0','ge')) {?>
	<div class="adminform">
		<?php } else {?>
		<div class="adminform" style="width: 50%; float: left;">
			<?php }?>
			<div class="cpanel-left">
				<div id="cpanel">
					<?php

					if($this->params->multiroom != "2") {
	$title = JText::_('COM_BOOKIT_ROOM_CATEGORIES');
	$desc = JText::_('COM_BOOKIT_ROOM_CATEGORIES_DESC');
} else {
	$title = JText::_('COM_BOOKIT_PROPERTIES');
	$desc = JText::_('COM_BOOKIT_PROPERTIES_DESC');
}?>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo $title; ?> :: <?php echo $desc; ?>">
							<a
								href="index.php?option=com_blooking&controller=roomcategory&task=listing">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/categories_cp.png', $title); ?>
								<span><?php echo $title; ?> </span>
							</a>
						</div>
					</div>
					<?php if ($this->params->multiroom!="2"){?>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_ROOMS'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_ROOMS_DESC'); ?>">
							<a
								href="index.php?option=com_blooking&controller=room&task=listing">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/rooms_cp.png', JText::_('COM_BOOKIT_ROOMS')); ?>
								<span><?php echo JText::_('COM_BOOKIT_ROOMS'); ?> </span>
							</a>
						</div>
					</div>
					<?php }?>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_EXTRA_SERVICES'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_EXTRA_SERVICES_DESC'); ?>">
							<a
								href="index.php?option=com_blooking&controller=roomextra&task=listing">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/extras_cp.png', JText::_('COM_BOOKIT_EXTRA_SERVICES')); ?>
								<span><?php echo JText::_('COM_BOOKIT_EXTRA_SERVICES'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_GUESTS'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_GUESTS_DESC'); ?>">
							<a
								href="index.php?option=com_blooking&controller=guests&task=listing">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/guests_cp.png', JText::_('COM_BOOKIT_GUESTS')); ?>
								<span><?php echo JText::_('COM_BOOKIT_GUESTS'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_BOOKINGS'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_BOOKINGS_DESC'); ?>">
							<a
								href="index.php?option=com_blooking&controller=booking&task=listing">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/bookings_cp.png', JText::_('COM_BOOKIT_BOOKINGS')); ?>
								<span><?php echo JText::_('COM_BOOKIT_BOOKINGS'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_AVAILABILITY'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_AVAILABILITY_DESC'); ?>">
							<a
								href="index.php?option=com_blooking&controller=availability&task=edit">
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/availability_cp.png', JText::_('COM_BOOKIT_AVAILABILITY')); ?>
								<span><?php echo JText::_('COM_BOOKIT_AVAILABILITY'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_RULES'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_RULES_DESC'); ?>">
							<a
								href='index.php?option=com_blooking&controller=rules&task=listing'>
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/rules_cp.png', JText::_('COM_BOOKIT_RULES')); ?>
								<span><?php echo JText::_('COM_BOOKIT_RULES'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_STATISTICS'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_STATISTICS_DESC'); ?>">
							<a
								href='index.php?option=com_blooking&controller=statistics&task=view'>
								<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/statistics_cp.png', JText::_('COM_BOOKIT_STATISTICS')); ?>
								<span><?php echo JText::_('COM_BOOKIT_STATISTICS'); ?> </span>
							</a>
						</div>
					</div>
					<div class="icon-wrapper">
						<div class="icon hasTip"
							title="<?php echo JText::_('COM_BOOKIT_HOTEL_SETUP'); ?> :: 
						<?php echo JText::_('COM_BOOKIT_HOTEL_SETUP_DESC'); ?>">
							<a href='index.php?option=com_blooking&controller=hotelsetup'> <?php echo JHTML::_('image', 'administrator/components/com_blooking/images/setup_cp.png', JText::_('COM_BOOKIT_HOTEL_SETUP')); ?>
								<span><?php echo JText::_('COM_BOOKIT_HOTEL_SETUP'); ?> </span>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
		<input type="hidden" name="boxchecked" value="1" /> <input
			type="hidden" name="task" value="params" />

</form>

<?php if(version_compare(JVERSION,'1.6.0','ge')) {?>
<div class="adminform">
	<?php } else {?>
	<div class="adminform"
		style="width: 20%; float: left; margin-left: 40px">
		<?php }?>
		<div class="cpanel-right">
			<div id="infopanel"></div>
			<div class="blooking_div">
				<?php if (isset($this->changelog) && $this->changelog != "") {
					echo $this->changelog;
} else { ?>
				<a href="http://www.blooking.org" target="_blank"> <img
					src="../administrator/components/com_blooking/images/blooking.png"
					align="middle" alt="BlooKing logo" />
				</a> <span class='subtitle'>Deployed version: <?php echo $this->version;?>
				</span>
				<ul id="blooking_changelog">
					<li><a
						href="http://www.blooking.org/index.php/component/rsmembership/view-my-memberships"
						target="_blank">Members Area</a></li>
					<li><a href="http://blooking.org/forum" target="_blank">Forum</a></li>
					<li><a href="http://www.blooking.org/support/new-ticket.html"
						target="_blank">Submit support ticket</a></li>
					<li><a href="http://www.blooking.org/download.html" target="_blank">Download</a>
					</li>
					<li><a href="http://www.blooking.org/licence-and-terms.html"
						target="_blank">Licence &amp; Terms</a></li>
				</ul>

				<?php }?>
			</div>
		</div>
	</div>