<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view' );

class BlookingViewBooking extends JView {
	function display($tpl = null) {
		$model =& $this->getModel( 'booking' );
		$name = JRequest::getVar('name');
		$email = JRequest::getVar('email');
		$category = JRequest::getVar('category');
		$room = JRequest::getVar('room');

		if ($name != "") {
			$query = $name;
			$type = 'name';
		} else if ($email != "") {
			$query = $email;
			$type = 'email';
		} else if ($category != "") {
			$query = $category;
			$type = 'roomcat';
		} else if ($room != "") {
			$query = $room;
			$type = 'roomname';
		}

		$data = $model->autocomplete($query, $type);
		$document =& JFactory::getDocument();
		$document->setMimeEncoding( 'application/json' );

		echo json_encode($data);
	}
}