<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
JHTML::_('behavior.formvalidation');

$url = JRoute::_(JURI::base()."index.php?option=com_blooking&controller=bookingedit&task=oncategorychange");
$url2 = JRoute::_(JURI::base()."index.php?option=com_blooking&controller=bookingedit&task=updaterooms");
if (isset($this->booking->idroom))$idroom=$this->booking->idroom;else $idroom="";
$ajax = <<<EOD
window.addEvent( 'domready', function() {
	var jsonReq = new Request.JSON({
  		url: '{$url}',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){

		if (typeof responseText != 'undefined' &&
			responseText != null && responseText!="")
	  	{
	  		elems = document.getElementsByName('extra_box');
			for (var i=0; i<elems.length; i++) {
          		 elems[i].set('disabled',true);
            }
	  		var ids = (responseText.substring(1, responseText.length-1)).split(",");
	  		if (ids!="")
	  		{
	  			for (var i=0; i<ids.length; i++)
	  			{
	  				name = "extra_box_"+ids[i];
	  				$(name).set('disabled',false);
	  				name = ids[i]+"_qnt";
	  				if ($(name)!=null)
	  				$(name).set('disabled',false);
				}
			}
	  	}
	  	calculatePrice("true");
  	}
 });

	jsonReq.get({format: 'raw', 'idcategory':$('idcategory').value});

    if ($('idroom') != undefined) {
	var roomsReq = new Request.JSON({
  		url: '{$url2}',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText)
	  	{
	 
			if (typeof responseJSON != 'undefined' &&
				responseJSON != null )
		  	{
		  		var new_options = responseJSON.rooms;
				/* Remove all options from the select list */
				$('idroom').empty();
				/* Insert the new ones from the array above */
				var i=0;
				for (var key in new_options)
				{
					if (i==new_options.length) break;
					i++;
					var opt = document.createElement('option');
					opt.text = new_options[key];
	        		opt.value = key;
	        		$('idroom').add(opt, null);
				}
				if ('{$idroom}'!="")
				$('idroom').value='{$idroom}';
		  	}
		}
	 });

 	roomsReq.get({format: 'raw', 'idcategory':$('idcategory').value});
 	}

	$('idcategory').addEvent('change',function(){

        if ($('idroom') != undefined)
		    roomsReq.get({format: 'raw', 'idcategory':$('idcategory').value});
		if (this.value=='-1')
		{
			elems = document.getElementsByName('extra_box');
			for (var i=0; i<elems.length; i++) {
          		 elems[i].set('disabled',true);
            }
            calculatePrice();
        }
        else
        {
		  	jsonReq.get({format: 'raw', 'idcategory':this.value});
		}

	});
});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $ajax );
?>
<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_BOOKING_BASICS' ); ?>
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="period"> <?php echo JText::_( 'COM_BOOKIT_PERIOD' ); ?>
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('COM_BOOKIT_CHECK_IN'); ?></td>
								<td><?php 
								$js2 = 'onChange="(updateToField(\''.$this->date_code->d1.'\'));"';
								if($this->booking->valid_from!="") //Edit
								{
									echo JHTML::_('calendar',date($this->date_code->d1,
					strtotime($this->booking->valid_from)),'valid_from',
					'valid_from',$this->date_code->d2,'size="10" '.$js2);
								}
								else
									echo JHTML::_('calendar',date($this->date_code->d1),
											'valid_from','valid_from',$this->date_code->d2,'size="10" '.$js2);
								?>
								</td>
								<td><?php echo JText::_('COM_BOOKIT_CHECK_OUT');?></td>
								<td><?php if($this->booking->valid_to!="")
								{
									echo JHTML::_('calendar',date($this->date_code->d1,
					strtotime($this->booking->valid_to)),'valid_to','valid_to',
					$this->date_code->d2,'size="10"');
								}
								else  echo JHTML::_('calendar',date($this->date_code->d1,
				strtotime("+1 day")),'valid_to','valid_to',
				$this->date_code->d2,'size="10"');?>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="idcategory">
							<?php echo JText::_( 'COM_BOOKIT_ROOM_CATEGORY' ); ?>
					</label></td>
					<td><?php echo $this->lists['catid'];?></td>
				</tr>
				<?php if($this->multiroom != "2") {?>
				<tr>
					<td width="100" align="right" class="key"><label for="idroom"> <?php echo JText::_( 'COM_BOOKIT_ROOM' ); ?>
					</label></td>
					<td><?php echo $this->lists['roomid'];?></td>
				</tr>
				<?php }?>
				<tr>
					<td width="100" align="right" class="key"><label for="idguests"> <?php echo JText::_( 'COM_BOOKIT_GUEST' ); ?>
					</label></td>
					<td><?php echo $this->lists['guests'];?></td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="lang"> <?php echo JText::_( 'COM_BOOKIT_LANGUAGE' ); ?>
					</label></td>
					<td><input class="text_area" type="text" name="lang" id="lang"
						size="10" maxlength="25"
						value="<?php if($this->booking->lang!="")echo $this->booking->lang;
		else {
			$lg = JFactory::getLanguage();
			if(version_compare(JVERSION,'1.6.0','ge'))
			{
				$lang_code = explode('-',$lg->getTag());
				$lang = $lang_code[0];
			}
			else
			{
				$lang_code = explode('-',$lg->_lang);
				$lang = $lang_code[0];
			}
			echo $lang;
		} ?>" /></td>
				</tr>

				<tr>
					<td width="100" align="right" class="key"><label for="nguests"> <?php echo JText::_( 'COM_BOOKIT_ADULTS_NO' ); ?>:
					</label></td>
					<td><input class="required validate-numeric text_area" type="text"
						name="nguests" id="nguests" size="10" maxlength="25"
						value="<?php echo $this->booking->nguests;?>" /></td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="nchilds"> <?php echo JText::_( 'COM_BOOKIT_CHILDREN_NO' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="nchilds" id="nchilds" size="10" maxlength="25"
						value="<?php echo $this->booking->nchilds;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="preferences">
							<?php echo JText::_( 'COM_BOOKIT_REQUESTS' ); ?>:
					</label></td>
					<td><textarea class="inputbox" cols="40" rows="4"
							name="preferences" id="preferences">
							<?php echo $this->booking->preferences;?>
			</textarea></td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="status"> <?php echo JText::_( 'COM_BOOKIT_STATUS' ); ?>:
					</label></td>

					<td>
						<table>
							<tr>
								<td><input type="radio" name="status" value="2"
								<?php if ($this->booking->status==2 ||
				$this->booking->status=="") {?>
									checked="checked" <?php }?> /></td>
								<td><?php echo JText::_('COM_BOOKIT_PENDING');?></td>
								<td><input type="radio" name="status" value="1"
								<?php if ($this->booking->status==1) {?> checked="checked"
								<?php }?> /></td>
								<td><?php echo JText::_('COM_BOOKIT_CONFIRMED');?></td>
								<td><input type="radio" name="status" value="4"
								<?php if ($this->booking->status==4) {?> checked="checked"
								<?php }?> /></td>
								<td><?php echo JText::_('COM_BOOKIT_EXPIRED');?></td>
								<td><input type="radio" name="status" value="5"
								<?php if ($this->booking->status==5) {?> checked="checked"
								<?php }?> /></td>
								<td><?php echo JText::_('COM_BOOKIT_CANCELLED');?></td>
							</tr>
						</table>
					</td>
				</tr>

				<tr>
					<td width="100" align="right" class="key"><label for="idcoupon"> <?php echo JText::_( 'COM_BOOKIT_COUPON' ); ?>
					</label></td>
					<td><?php echo $this->lists['coupons']; ?></td>
				</tr>
				<tr>
					<td height="40" width="100" align="right" class="key"><label
						for="extra"> <?php echo JText::_( 'COM_BOOKIT_EXTRA_SERVICES' ); ?>
					</label>
					</td>
					<td>
						<table>
							<?php echo $this->extras;?>
						</table>
					</td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('COM_BOOKIT_RULES_APPLYING').":";?>
					</td>
					<td><textarea class="inputbox" cols="40" rows="4" name="rule_ids"
							id="rule_ids" disabled="disabled">
			<?php echo $this->booking->rule_ids;?>
			</textarea></td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('COM_BOOKIT_STAFF_NOTES').":";?>
					</td>
					<td><textarea class="inputbox" cols="40" rows="4" name="staffnotes"
							id="staffnotes">
		<?php echo $this->booking->staffnotes;?>
		</textarea></td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="value"> <?php echo JText::_( 'COM_BOOKIT_PRICE' ); ?>:
					</label>
					</td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('COM_BOOKIT_TOTAL').":";?></td>
								<td><input class="text_area" type="text" name="value_full"
									id="value_full" size="10" maxlength="20"
									value="<?php echo $this->booking->value_full;?>" /></td>
								<td><input name="calc_button" type="button"
									value="<?php echo JText::_("COM_BOOKIT_CALC");?>"
									onclick="calculatePrice();" /></td>
							</tr>
							<tr>

								<td><?php echo JText::_('COM_BOOKIT_PAID').":";?></td>
								<td><input class="text_area" type="text" name="value_paid"
									id="value_paid" size="10" maxlength="20"
									value="<?php echo $this->booking->value_paid;?>"
									onchange="updateDue();" /></td>
							</tr>

							<tr>
								<td><?php echo JText::_('COM_BOOKIT_DUE').":";?></td>
								<td><input class="text_area" type="text" name="value_pending"
									id="value_pending" size="10" maxlength="20"
									value="<?php echo $this->booking->value_pending;?>" /></td>
							</tr>

						</table>
					</td>
				</tr>
				<tr>
					<td class="key"><?php echo JText::_('COM_BOOKIT_DAILY_RATES').":";?>
					</td>
					<td><div id="error_msg_div" style="color: grey;"></div></td>
				</tr>
			</table>


		</fieldset>

	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="idbook" id="idbook"
		value="<?php echo $this->booking->idbook; ?>" /> <input type="hidden"
		name="task" value="" /><input type="hidden" name="extra_ids"
		id="extra_ids" value="<?php echo $this->initial_ids;?>" /> <input
		type="hidden" name="controller" value="bookingedit" />
</form>


<script language="javascript" type="text/javascript">
function updateIDs (){
	var adminForm_js = document.getElementById('adminForm').elements;
	var ids="";
	for(var i = 0, j=0; i < adminForm_js.length; i++) 
	{ 
		if (adminForm_js[i].type=="checkbox") 
		{
			if(adminForm_js[i].checked==true)
			{
				if (document.getElementById(adminForm_js[i].value+"_qnt")!=null)
				{
					if (document.getElementById(adminForm_js[i].value+"_qnt").value>0)
					{
						
						qnt=document.getElementById(adminForm_js[i].value+"_qnt").value;
						if (ids.length>0)
							ids +=",";
						ids += adminForm_js[i].value+"-"+qnt;
						
						qnt=0;
					}
				}
				else
				{
					if (ids.length>0)
						ids +=",";
					ids += adminForm_js[i].value;
				}
				
			}
		}
	}
	document.getElementById('extra_ids').value=ids;
}


function calculatePrice(manualprice){
	manualprice = typeof manualprice !== 'undefined' ? manualprice : "false" ;
	
	var valid_from_js = document.getElementById('valid_from').value;
	var valid_to_js = document.getElementById('valid_to').value;
	var idcategory_js = document.getElementById('idcategory').value;
	var idroom_js = document.getElementById('idroom') == undefined ? 0 : document.getElementById('idroom').value;
	var idguests_js = document.getElementById('idguests').value;
	var nguests_js = document.getElementById('nguests').value;
	var nchilds_js = document.getElementById('nchilds').value;
	var idcoupon_js = document.getElementById('idcoupon').value;
	var adminForm_js = document.getElementById('adminForm').elements;
	var services=new Array(); 
	var qnt=0;
	for(var i = 0, j=0; i < adminForm_js.length; i++) 
	{ 
		if (adminForm_js[i].type=="checkbox") 
		{
			
			if(adminForm_js[i].checked==true && !adminForm_js[i].disabled)
			{
				
				if (document.getElementById(adminForm_js[i].value+"_qnt")!=null)
				{
					if (document.getElementById(adminForm_js[i].value+"_qnt").value>0)
					{
							qnt=document.getElementById(adminForm_js[i].value+"_qnt").value;
							services[j]=adminForm_js[i].value+"-"+qnt;
							qnt=0;
							
							j++;
					}
				}
				else
				{
					services[j]=adminForm_js[i].value;
					
					j++;
				}
			}
		}
	}
	var xmlhttp=GetXmlHttpObject();
	if (xmlhttp==null)
  	{
  		alert ("Browser does not support HTTP Request");
  		return;
  	}
	
	xmlhttp.onreadystatechange = function(){
    
      if(xmlhttp.readyState == 4 && xmlhttp.status == 200){
    	 	var full_msg = xmlhttp.responseText;
    	 	var msg_array = full_msg.split("#");
    	 		
		  	var full_price = msg_array[0];

		  	if (manualprice == "false") {
    	  		document.getElementById('value_full').value = full_price;
    	  		var paid = document.getElementById('value_paid').value;

    	  		if (paid>0)
    			  document.getElementById('value_pending').value = full_price-paid;
    	  		else
    			  document.getElementById('value_pending').value = full_price;
		  	}

    	  	document.getElementById('error_msg_div').innerHTML = msg_array[1];
		  	document.getElementById('rule_ids').value =  msg_array[2];
          }
    };
 
	var url="<?php echo JURI::base()?>"+"index.php?option=com_blooking&controller=bookingedit&task=pricecalc&view=booking&format=raw";
	var url=url+"&valid_from="+valid_from_js+"&valid_to="+valid_to_js;
	var url=url+"&idcategory="+idcategory_js+"&idroom="+idroom_js;
	var url=url+"&idguests="+idguests_js+"&nguests="+nguests_js+"&idcoupon="+idcoupon_js;
	var url=url+"&nchilds="+nchilds_js;
	var url=url+"&lang="+$('lang').value;

	var extra_ids_js="";
	for (var k=0; k<services.length; k++)
	{
		if (k+1==services.length)
			extra_ids_js = extra_ids_js+services[k];
		else
			extra_ids_js = extra_ids_js+services[k]+",";


	}
	var url=url+"&extra_ids="+extra_ids_js;

	xmlhttp.open("GET",url,true);					
	xmlhttp.send(null);

}


function GetXmlHttpObject()
{
	if (window.XMLHttpRequest)
  	{
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}


function updateDue ()
{
	document.getElementById('value_pending').value = document.getElementById('value_full').value-document.getElementById('value_paid').value;
}
function updateToField(format){
	
	if (format=='d-m-Y')
	{
		var arr =  document.getElementById('valid_from').value.split("-");
		newFromDate = new Date(arr[2],arr[1]-1,arr[0]);
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=getPHPDay(newFromDate.getDate())+"-"+getPHPMonth(newFromDate.getMonth())+"-"+newFromDate.getFullYear();
	}
	else if (format=='Y-m-d')
	{
		var arr =  document.getElementById('valid_from').value.split("-");
		newFromDate = new Date(arr[0],arr[1]-1,arr[2]);
		
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=newFromDate.getFullYear()+"-"+getPHPMonth(newFromDate.getMonth())+"-"+getPHPDay(newFromDate.getDate());
	}
	else if (format=='m\/d\/Y')
	{
		var arr =  document.getElementById('valid_from').value.split("/");
		newFromDate = new Date(arr[2],arr[0]-1,arr[1]);
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=getPHPMonth(newFromDate.getMonth())+"/"+getPHPDay(newFromDate.getDate())+"/"+newFromDate.getFullYear();
	}
	
}

function getPHPMonth (month)
{
	if (month==0)
		return "01";
	else if (month==1)
		return "02";
	else if (month==2)
		return "03";
	else if (month==3)
		return "04";
	else if (month==4)
		return "05";
	else if (month==5)
		return "06";
	else if (month==6)
		return "07";
	else if (month==7)
		return "08";
	else if (month==8)
		return "09";
	else if (month==9)
		return "10";
	else if (month==10)
		return "11";
	else if (month==11)
		return "12";
	else
		alert ("Date Error!");
	
}

function getPHPDay (day){
	if (day<10)
		return "0"+day;
	else
		return day;
}



</script>
