<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
JHTML::_('behavior.formvalidation');
$editor =& JFactory::getEditor();
$js = <<<EOD
window.addEvent( 'domready', function() {
$('language').value='{$this->lang}';

	var jsonReq = new Request.JSON({
  		url: 'index.php',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){

		if (typeof responseJSON != 'undefined' &&  responseJSON != null )
	  	{
	  		translation = responseJSON.description;
			if (translation!=null && translation!="")
			{
				if (typeof(WFEditor) != 'undefined' && WFEditor!=null)
				WFEditor.setContent('description',translation);
				else if (typeof(tinyMCE)!='undefined' && tinyMCE!=null &&
				tinyMCE.activeEditor!=null)
				{
					tinyMCE.activeEditor.setContent(translation);
				}
				//Check if JCK editor
				else if (typeof(CKEDITOR) !== 'undefined' && CKEDITOR.instances != null)
				{
					for ( instance in CKEDITOR.instances )
					{
						CKEDITOR.instances[instance].setData( translation );
					}
				}
				else
				{
					document.id('form_msg').value = translation;
				}

			}
	  	}

  	}
 });

	 jsonReq.get({'option': 'com_blooking', 'view':'finalform',
			'controller':'finalform', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'type':'form_msg'});
		
	$('language').addEvent('change',function(){
		 jsonReq.get({'option': 'com_blooking', 'view':'finalform',
			'controller':'finalform', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'type':'form_msg'});
	});

});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $js );

?>

<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>
<div class="col100">
	<form action="index.php" method="post" name="adminForm" id="adminForm"
		class="form-validate">

		<fieldset class="adminform" style="float: left; width: 60%;">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_CUSTOM_FORM_MESSAGE' ); ?>
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="language"> <?php echo JText::_( 'COM_BOOKIT_LANGUAGE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['language']; ?></td>
				</tr>
			</table>
			<div>
				<?php
				echo $editor->display( 'form_msg', $this->data->form_msg, '200', '150', '40', '5' ) ;
				?>
			</div>
		</fieldset>


		<input type="hidden" name="option" value="com_blooking" /> <input
			type="hidden" name="task" value="save" /> <input type="hidden"
			name="controller" value="finalform" /> <input type="hidden" name="id"
			value="1" /> <input type="hidden" name="type" value="form_msg" />
	</form>
</div>
<div class="clr"></div>
