<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table class="adminlist">
		<thead>
			<tr>
				<th><?php echo JText::_("COM_BOOKIT_PAYMENT_GATEWAY"); ?></th>
				<th width="60%"><?php echo JText::_('COM_BOOKIT_DESCRIPTION'); ?></th>
				<th><?php echo JText::_("COM_BOOKIT_ACTIVATED");?></th>
			</tr>
		</thead>
		<?php for($i=0; $i<=count($this->plugins)-1; $i++) {
			$row =& $this->plugins[$i];
			if (!isset($row->published)) {
			$row->published = $row->enabled;
		}
		?>
		<tr>
			<?php
			$link = JURI::root()."administrator/index.php?option=com_blooking&controller=gatewayseditor&id=";
			if(version_compare(JVERSION,'1.6.0','ge')) {
			$idvar = "extension_id";
			$pluginParams = new JRegistry();
			$pluginParams->loadString($row->params);
			$description = $pluginParams->get('description', '');
		} else {
			$idvar = "id";
			$pluginParams = new JParameter($row->params);
			$description = $pluginParams->get('description');
		}
		?>
			<td><a href="<?php echo $link.$row->$idvar?>"> <?php echo $row->name;?>
			</a></td>
			<td><?php echo JText::_($description); ?></td>
			<td align="center"><?php 
			if ($row->published == "0") {
			$published = "<a href='index.php?option=com_blooking&controller=gateways&task=publish&id=".$row->$idvar."'>".
					"<img src='".JURI::root()."administrator/components/com_blooking/images/publish_x.png' /></a>";

		} else {
			$published = "<a href='index.php?option=com_blooking&controller=gateways&task=unpublish&id=".$row->$idvar."'>".
					"<img src='".JURI::root()."administrator/components/com_blooking/images/tick.png' /></a>";
		}

		echo $published;?>
		
		</tr>
		<?php }?>
	</table>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="task" value="" /> <input type="hidden"
		name="controller" value="gateways" />
</form>

