<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
JHTML::_('behavior.formvalidation');

$ajax = <<<EOD
window.addEvent( 'domready', function() {

	var jsonReq = new Request.JSON({
  		url: 'index.php',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){

		if (typeof responseJSON != 'undefined' &&  responseJSON != null &&
		responseJSON.name!="" )
	  	{
			$('idcountry').value= responseJSON.idcountry;
			$('name').value = responseJSON.name;
			$('surname').value = responseJSON.surname;
			$('address1').value=responseJSON.address1;
			$('address2').value=responseJSON.address2;
			$('address3').value=responseJSON.address3;
			$('phone').value=responseJSON.phone;
			$('postcode').value=responseJSON.postcode;
			$('email').value = responseJSON.email;
	  	}

  	}
 });

	jsonReq.get({'option': 'com_blooking', 'format': 'json', 'view':'guestsedit',
	'controller':'guestsedit', 'jid':$('jid').value, 'task':'getUser'});

	$('jid').addEvent('change',function(){
		jsonReq.get({'option': 'com_blooking', 'format': 'json', 'view':'guestsedit',
		'controller':'guestsedit', 'jid':$('jid').value, 'task':'getUser',
		'idguests':'{$this->guests->idguests}'});

	});
});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $ajax );
?>
<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_GUEST_BASICS' ); ?>
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="jid"> <?php echo JText::_( 'COM_BOOKIT_USER_ID' ); ?>:
					</label>
					</td>
					<td><?php  echo $this->lists['jusers']; ?>
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="name"> <?php echo JText::_( 'COM_BOOKIT_FIRST_NAME' ); ?>:
					</label></td>

					<td><input class="required text_area" type="text" name="name"
						id="name" size="30" maxlength="250"
						value="<?php echo $this->guests->name;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="surname"> <?php echo JText::_( 'COM_BOOKIT_LAST_NAME' ); ?>:
					</label></td>

					<td><input class="required text_area" type="text" name="surname"
						id="surname" size="30" maxlength="250"
						value="<?php echo $this->guests->surname;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="email"> <?php echo JText::_( 'COM_BOOKIT_EMAIL' ); ?>:
					</label></td>

					<td><input class="required validate-email text_area" type="text"
						name="email" id="email" size="30" maxlength="250"
						value="<?php echo $this->guests->email;?>" />
					</td>
				</tr>





			</table>
		</fieldset>
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_GUEST_EXTRA' ); ?>
			</legend>
			<table class="admintable">
				<tr>

					<td width="100" align="right" class="key"><label for="phone"> <?php echo JText::_( 'COM_BOOKIT_PHONE' ); ?>:
					</label></td>

					<td><input class="text_area" type="text" name="phone" id="phone"
						size="30" maxlength="250"
						value="<?php echo $this->guests->phone;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="address1"> <?php echo JText::_( 'COM_BOOKIT_ADDRESS_LINE1' ); ?>:
					</label></td>
					<td><input class="text_area" type="text" name="address1"
						id="address1" size="30" maxlength="250"
						value="<?php echo $this->guests->address1;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="address2"> <?php echo JText::_( 'COM_BOOKIT_ADDRESS_LINE2' ); ?>:
					</label></td>

					<td><input class="text_area" type="text" name="address2"
						id="address2" size="30" maxlength="250"
						value="<?php echo $this->guests->address2;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="address3"> <?php echo JText::_( 'COM_BOOKIT_ADDRESS_LINE3' ); ?>:
					</label></td>

					<td><input class="text_area" type="text" name="address3"
						id="address3" size="30" maxlength="250"
						value="<?php echo $this->guests->address3;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="postcode"> <?php echo JText::_( 'COM_BOOKIT_POST_CODE' ); ?>:
					</label></td>

					<td><input class="text_area" type="text" name="postcode"
						id="postcode" size="30" maxlength="250"
						value="<?php echo $this->guests->postcode;?>" />
					</td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="country"> <?php echo JText::_( 'COM_BOOKIT_COUNTRY' ); ?>:
					</label></td>

					<td><?php echo $this->lists['catid'];?></td>

				</tr>

			</table>
		</fieldset>

	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="idguests"
		value="<?php echo $this->guests->idguests; ?>" /> <input type="hidden"
		name="task" value="" /> <input type="hidden" name="controller"
		value="guestsedit" /> <input type="hidden" name="return"
		value="<?php echo $this->prev; ?>" />
</form>
