<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

JHTML::_('behavior.tooltip');?>
<?php if(version_compare(JVERSION,'1.6.0','ge')) {?>
<div class="adminform">
	<?php } else {?>
	<div class="adminform" style="width: 50%;">
		<?php }?>
		<div class="cpanel-left">
			<div id="cpanel">
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_PARAMETERS'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_PARAMETERS_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=params&task=display">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/params_cp.png', JText::_('COM_BOOKIT_PARAMETERS')); ?>
							<span><?php echo JText::_('COM_BOOKIT_PARAMETERS'); ?> </span>
						</a>
					</div>
				</div>
				<?php if ($this->params->admin_confirm == 1) {?>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_PRE_VERIFICATION_EMAIL'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_PRE_VERIFICATION_EMAIL_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=edit&type=custprebooking">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/email_cp.png', JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_PRE_VERIFICATION_EMAIL'); ?>
						</span>
						</a>
					</div>
				</div>
				<?php }?>
				<?php if ($this->params->admin_confirm == 1) {?>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_BOOKING_VERIFIED_EMAIL'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_BOOKING_VERIFIED_EMAIL_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=edit&type=custverified">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/email_cp.png', JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_BOOKING_VERIFIED_EMAIL'); ?>
						</span>
						</a>
					</div>
				</div>
				<?php }?>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=edit&type=custemail">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/email_cp.png', JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_CUSTOMER_EMAIL'); ?> </span>
						</a>
					</div>
				</div>
				<?php if ($this->params->admin_confirm == 1) {?>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_ADMIN_PRE_VERIFICATION_EMAIL'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_ADMIN_PRE_VERIFICATION_EMAIL_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=edit&type=adminprebooking">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/email_cp.png', JText::_('COM_BOOKIT_ADMIN_EMAIL')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_ADMIN_PRE_VERIFICATION_EMAIL'); ?>
						</span>
						</a>
					</div>
				</div>
				<?php }?>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_ADMIN_EMAIL'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_ADMIN_EMAIL_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=edit&type=adminemail">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/email_cp.png', JText::_('COM_BOOKIT_ADMIN_EMAIL')); ?>
							<span><?php echo JText::_('COM_BOOKIT_ADMIN_EMAIL'); ?> </span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_TERMS_AND_CONDITIONS'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_TERMS_AND_CONDITIONS_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=loadFromDB&type=terms_conditions">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/terms_cp.png', JText::_('COM_BOOKIT_TERMS_AND_CONDITIONS')); ?>
							<span><?php echo JText::_('COM_BOOKIT_TERMS_AND_CONDITIONS'); ?>
						</span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_CANCELLATION_POLICY'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_CANCELLATION_POLICY_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=editor&task=loadFromDB&type=cancellation_policy">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/canc_cp.png', JText::_('COM_BOOKIT_EDIT_CANCELLATION_POLICY')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_CANCELLATION_POLICY'); ?>
						</span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_EDIT_FINAL_FORM'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_EDIT_FORM_MESSAGE_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=finalform&task=edit">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/form_cp.png', JText::_('COM_BOOKIT_EDIT_FINAL_FORM')); ?>
							<span><?php echo JText::_('COM_BOOKIT_EDIT_FINAL_FORM'); ?> </span>
						</a>
					</div>
				</div>
				<div class="icon-wrapper">
					<div class="icon hasTip"
						title="<?php echo JText::_('COM_BOOKIT_PAYMENT_GATEWAYS'); ?> :: 
	<?php echo JText::_('COM_BOOKIT_PAYMENT_GATEWAYS_DESC'); ?>">
						<a
							href="index.php?option=com_blooking&controller=gateways&task=listing">
							<?php echo JHTML::_('image', 'administrator/components/com_blooking/images/gateways_cp.png', JText::_('COM_BOOKIT_PAYMENT_GATEWAYS')); ?>
							<span><?php echo JText::_('COM_BOOKIT_PAYMENT_GATEWAYS'); ?> </span>
						</a>
					</div>
				</div>

			</div>
		</div>
	</div>