<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.formvalidation');
$editor =& JFactory::getEditor();

$js = <<<EOD
window.addEvent( 'domready', function() {
	$('language').value='{$this->lang}';

	if($('priceRoom').checked == true) {
		$('rowAdultCost').style.display='none';
		$('adult_cost').removeClass('required');
		$('rowChildCost').style.display='none';
		$('child_cost').removeClass('required');
		$('rowRoomCost').style.display='';
		$('cost').addClass('required');
	} else {
		$('rowAdultCost').style.display='';
		$('adult_cost').addClass('required');
		$('rowChildCost').style.display='';
		$('child_cost').addClass('required');
		$('rowRoomCost').style.display='none';
		$('cost').removeClass('required');
	}
	$('priceRoom').addEvent('change',function(){
		if($('priceRoom').checked == true) {
			$('rowAdultCost').style.display='none';
			$('adult_cost').removeClass('required');
			$('rowChildCost').style.display='none';
			$('child_cost').removeClass('required');
			$('rowRoomCost').style.display='';
			$('cost').addClass('required');
		} else {
			$('rowAdultCost').style.display='';
			$('adult_cost').addClass('required');
			$('rowChildCost').style.display='';
			$('child_cost').addClass('required');
			$('rowRoomCost').style.display='none';
			$('cost').removeClass('required');
		}
	});
	$('priceGuest').addEvent('change',function(){
		if($('priceGuest').checked == true) {
			$('rowAdultCost').style.display='';
			$('adult_cost').addClass('required');
			$('rowChildCost').style.display='';
			$('child_cost').addClass('required');
			$('rowRoomCost').style.display='none';
			$('cost').removeClass('required');
		} else {
			$('rowAdultCost').style.display='none';
			$('adult_cost').removeClass('required');
			$('rowChildCost').style.display='none';
			$('child_cost').removeClass('required');
			$('rowRoomCost').style.display='';
			$('cost').addClass('required');
		}
	});

	var jsonReq = new Request.JSON({
  		url: 'index.php',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){
		if (typeof responseJSON != 'undefined' &&  responseJSON != null )
	  	{

	  		translation = responseJSON.description;
			if (translation!=null)
			{
				if (typeof(WFEditor) != 'undefined' && WFEditor!=null)
				WFEditor.setContent('description',translation);
				else if (typeof(tinyMCE)!='undefined' && tinyMCE!=null &&
				tinyMCE.activeEditor!=null)
				{
					tinyMCE.activeEditor.setContent(translation);
				}
				//Check if JCK editor
				else if (typeof(CKEDITOR) !== 'undefined' && CKEDITOR.instances != null)
				{
					for ( instance in CKEDITOR.instances )
					{
						CKEDITOR.instances[instance].setData( translation );
					}
				}
				else
				{
					document.id('description').value = translation;
				}

			}
	  
	  		if (responseJSON.facilities!=null && responseJSON.facilities!="")
			$('facilities').value = responseJSON.facilities;
			if (responseJSON.name!=null && responseJSON.name!="")
			$('name').value = responseJSON.name;
		
	  	}

  	}
 });
	if ({$this->category->idcategory}>0)
	{
 		jsonReq.get({'option': 'com_blooking', 'view':'roomcategoryedit',
			'controller':'roomcategoryedit', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'idcategory':'{$this->category->idcategory}',
			'name':$('name').value});
	}
	$('language').addEvent('change',function(){
		if ({$this->category->idcategory}>0)
		{
			jsonReq.get({'option': 'com_blooking', 'view':'roomcategoryedit',
			'controller':'roomcategoryedit', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'idcategory':'{$this->category->idcategory}',
			'name':$('name').value});
		}
	});
});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $js );
?>
<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_CATEGORY_BASICS' ); ?>
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="language"> <?php echo JText::_( 'COM_BOOKIT_LANGUAGE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['language']; ?></td>
				</tr>
				<tr>

					<td width="100" align="right" class="key"><label for="name"> <?php echo JText::_( 'COM_BOOKIT_CATEGORY_NAME' ); ?>:
					</label></td>

					<td><input class="required text_area" type="text" name="name"
						id="name" size="32" maxlength="250"
						value="<?php echo $this->category->name;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="nguests"> <?php echo JText::_( 'COM_BOOKIT_NUMBER_OF_ADULTS_MAX' ); ?>:
					</label></td>
					<td><input class="required validate-numeric text_area" type="text"
						name="nguests" id="nguests" size="32" maxlength="250"
						value="<?php echo $this->category->nguests;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="nchilds"> <?php echo JText::_( 'COM_BOOKIT_NUMBER_OF_CHILDREN_MAX' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="nchilds" id="nchilds" size="32" maxlength="250"
						value="<?php echo $this->category->nchilds;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="max_in_total">
							<?php echo JText::_( 'COM_BOOKIT_MAX_GUESTS_IN_TOTAL' ); ?>:
					</label></td>
					<td><input class="validate-maxguests text_area" type="text"
						name="max_in_total" id="max_in_total" size="32" maxlength="250"
						value="<?php echo $this->category->max_in_total;?>" /></td>
				</tr>


				<tr>
					<td width="30" align="right" class="key"><label for="nguests_min">
							<?php echo JText::_( 'COM_BOOKIT_NUMBER_OF_ADULTS_MIN' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="nguests_min" id="nguests_min" size="32" maxlength="250"
						value="<?php echo $this->category->nguests_min;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="nchilds_min">
							<?php echo JText::_( 'COM_BOOKIT_NUMBER_OF_CHILDREN_MIN' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="nchilds_min" id="nchilds_min" size="32" maxlength="250"
						value="<?php echo $this->category->nchilds_min;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="min_in_total">
							<?php echo JText::_( 'COM_BOOKIT_MIN_GUESTS_IN_TOTAL' ); ?>:
					</label></td>
					<td><input class="validate-minguests text_area" type="text"
						name="min_in_total" id="min_in_total" size="32" maxlength="250"
						value="<?php echo $this->category->min_in_total;?>" /></td>
				</tr>

				<tr>
					<td width="30" align="right" class="key"><label for="min_stay"> <?php echo JText::_( 'COM_BOOKIT_MINIMUM_STAY' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="min_stay" id="min_stay" size="32" maxlength="250"
						value="<?php echo $this->category->min_stay;?>" /></td>
				</tr>
				<tr>
					<td width="30" align="right" class="key"><label for="max_stay"> <?php echo JText::_( 'COM_BOOKIT_MAXIMUM_STAY' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="max_stay" id="max_stay" size="32" maxlength="250"
						value="<?php echo $this->category->max_stay;?>" /></td>
				</tr>
				<tr>
					<td valign="top" class="key"><?php echo JText::_( 'COM_BOOKIT_BEGIN_DAY'); ?>:
					</td>
					<!-- CHANGED DROP DOWNN TO CHECK BOXES $THIS->LISTS['START_DAY'] -->
					<td>
						<table>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_MONDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[1]" value="1" /> <input
									type="checkbox" name="start_day[1]" value="0"
									<?php if ($this->startdays[1]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_TUESDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[2]" value="1" /> <input
									type="checkbox" name="start_day[2]" value="0"
									<?php if ($this->startdays[2]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_WEDNESDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[3]" value="1" /> <input
									type="checkbox" name="start_day[3]" value="0"
									<?php if ($this->startdays[3]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_THURSDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[4]" value="1" /> <input
									type="checkbox" name="start_day[4]" value="0"
									<?php if ($this->startdays[4]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_FRIDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[5]" value="1" /> <input
									type="checkbox" name="start_day[5]" value="0"
									<?php if ($this->startdays[5]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SATURDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[6]" value="1" /> <input
									type="checkbox" name="start_day[6]" value="0"
									<?php if ($this->startdays[6]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SUNDAY' ); ?>:</td>
								<td><input type="hidden" name="start_day[0]" value="1" /> <input
									type="checkbox" name="start_day[0]" value="0"
									<?php if ($this->startdays[0]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td valign="top" class="key"><?php echo JText::_( 'COM_BOOKIT_END_DAY'); ?>:
					</td>

					<!-- CHANGED DROPDOWN TO CHECKBOXES - $THIS->LISTS['END_DAY'] -->
					<td>
						<table>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_MONDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[1]" value="1" /> <input
									type="checkbox" name="end_day[1]" value="0"
									<?php if ($this->enddays[1]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_TUESDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[2]" value="1" /> <input
									type="checkbox" name="end_day[2]" value="0"
									<?php if ($this->enddays[2]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_WEDNESDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[3]" value="1" /> <input
									type="checkbox" name="end_day[3]" value="0"
									<?php if ($this->enddays[3]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_THURSDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[4]" value="1" /> <input
									type="checkbox" name="end_day[4]" value="0"
									<?php if ($this->enddays[4]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_FRIDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[5]" value="1" /> <input
									type="checkbox" name="end_day[5]" value="0"
									<?php if ($this->enddays[5]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SATURDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[6]" value="1" /> <input
									type="checkbox" name="end_day[6]" value="0"
									<?php if ($this->enddays[6]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SUNDAY' ); ?>:</td>
								<td><input type="hidden" name="end_day[0]" value="1" /> <input
									type="checkbox" name="end_day[0]" value="0"
									<?php if ($this->enddays[0]==0) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="price_mode">
							<?php echo JText::_( 'COM_BOOKIT_CHARGE_PER' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><input type="radio" name="price_mode" id="priceRoom"
									value="0"
									<?php if ($this->category->price_mode==0 ||
				$this->category->price_mode=="") {?>
									checked="checked" <?php }?> /></td>
								<td><?php if ($this->multiroom != "2") {
									echo JText::_('COM_BOOKIT_ROOM');
								} else {
					echo JText::_('COM_BOOKIT_PROPERTY');
				}?>
								</td>
								<td><input type="radio" name="price_mode" id="priceGuest"
									value="1" <?php if ($this->category->price_mode==1) {?>
									checked="checked" <?php }?> /></td>
								<td><?php echo JText::_('COM_BOOKIT_GUEST');?></td>
							</tr>
						</table>
					</td>
				</tr>

				<tr id="rowRoomCost">
					<td width="30" align="right" class="key"><label for="cost"> <?php if ($this->multiroom != "2") { 
						echo JText::_( 'COM_BOOKIT_COST_PER_ROOM_NIGHT' );
					} else {
				echo JText::_('COM_BOOKIT_COST_PER_NIGHT');
			}?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="cost" id="cost" size="32" maxlength="250"
						title="<?php echo JText::_('COM_BOOKIT_THIS_IS_AN_AVERAGE_PRICE');?>"
						value="<?php echo $this->category->cost;?>" /></td>
				</tr>
				<tr id="rowAdultCost">
					<td width="30" align="right" class="key"><label for="adult_cost"> <?php echo JText::_( 'COM_BOOKIT_COST_PER_ADULT_NIGHT' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="adult_cost" id="adult_cost" size="32" maxlength="250"
						value="<?php echo $this->category->adult_cost;?>" /></td>
				</tr>
				<tr id="rowChildCost">
					<td width="30" align="right" class="key"><label for="child_cost"> <?php echo JText::_( 'COM_BOOKIT_COST_PER_CHILD_NIGHT' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="child_cost" id="child_cost" size="32" maxlength="250"
						value="<?php echo $this->category->child_cost;?>" /></td>
				</tr>
			</table>
		</fieldset>
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_CATEGORY_EXTRA' ); ?>
			</legend>
			<table class="admintable">


				<tr>
					<td width="100" align="right" class="key"><label for="url"> <?php echo JText::_( 'COM_BOOKIT_IMAGE' ); ?>:
					</label></td>

					<td><?php 

					$javascript			= 'onchange="changeDisplayImage();"';
					$directory			= DS.'images'.DS.'bookit'.DS.'images';
					if (!is_dir(JPATH_SITE.$directory)) {

			mkdir(JPATH_SITE.DS.'images'.DS.'bookit');
			mkdir(JPATH_SITE.DS.'images'.DS.'bookit'.DS.'images');
		}

		echo JHTML::_('list.images',  'url', $this->category->url, $javascript, $directory, "bmp|gif|jpg|png|swf" );

		?></td>

				</tr>

				<tr>
					<td valign="top" class="key"><?php echo JText::_( 'COM_BOOKIT_BANNER_IMAGE' ); ?>:
					</td>
					<td valign="top"><?php
					if (preg_match("#gif|jpg|png#i",$this->category->url)) {
			?> <img
						src="../images/bookit/images/<?php echo $this->category->url; ?>"
						name="imagelib" /> <?php
		} else {
			?> <img src="../images/blank.png" name="imagelib" /> <?php
		}
		?></td>
				</tr>

				<tr>
					<td width="100" align="right" class="key"><label for="description">
							<?php echo JText::_( 'COM_BOOKIT_DESCRIPTION' ); ?>:
					</label></td>

					<td><?php echo $editor->display( 'description', $this->category->description , '200', '150', '40', '5' ) ; ?>
					</td>
				</tr>
				<!-- <tr>
					<td width="100" align="right" class="key"><label for="facilities">
					<?php echo JText::_( 'COM_BOOKIT_FACILITIES' ); ?>: </label></td>
					<td><textarea class="inputbox" cols="30" rows="8" name="facilities"
							id="facilities">
							<?php echo $this->category->facilities;?>
						</textarea></td>
				</tr> -->

			</table>
		</fieldset>
	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="idcategory"
		value="<?php echo $this->category->idcategory; ?>" /> <input
		type="hidden" name="task" value="" /> <input type="hidden"
		name="controller" value="roomcategoryedit" /> <input type="hidden"
		name="return" value="<?php echo $this->prev; ?>" />
</form>

<script language="javascript" type="text/javascript">

		function changeDisplayImage() {
			if (document.adminForm.url.value !='') {
				document.adminForm.imagelib.src='../images/bookit/images/' + document.adminForm.url.value;
			} else {
				document.adminForm.imagelib.src='../images/blank.png';
			}
		}
</script>
