<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.formvalidation');
?>

<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_ROOM_BASICS' ); ?>
			</legend>
			<table class="admintable">

				<tr>
					<td width="30" align="right" class="key"><label for="name"> <?php echo JText::_( 'COM_BOOKIT_ROOM_NAME' ); ?>:
					</label></td>
					<td><input class="required text_area" type="text" name="name"
						id="name" size="32" maxlength="250"
						value="<?php echo $this->room->name;?>" />
					</td>
				</tr>

				<tr>

					<td width="100" align="right" class="key"><label for="idcategory">
							<?php echo JText::_( 'COM_BOOKIT_ROOM_CATEGORY' ); ?>:
					</label></td>

					<td><?php 
					$categories = $this->roomcategories;

					$lists=array();
					$lists['width']=96;
					$lists['height']=96;

					$db =& JFactory::getDBO();
					$sql = "SELECT idcategory, name FROM #__bookitcategory";
					$db->setQuery($sql);

					$value = isset($this->room->idcategory)?$this->room->idcategory:'-1';
					$results[] = JHTML::_('select.option', -1, JText::_('COM_BOOKIT_SELECT_AN_ITEM'), 'idcategory', 'name' );
					$results = array_merge( $results, $db->loadObjectList() );
					$lists['catid']  = JHTML::_('select.genericList', $results, 'idcategory', 'class="validate-dropbox inputbox" size="1"', 'idcategory', 'name', $value);
					echo $lists['catid']  ;


					?>
					</td>

				</tr>
				<?php if ($this->room->idroom <= 0) {?>
				<tr>
					<td width="30" align="right" class="key"><label for="quantity"> <?php echo JText::_( 'COM_BOOKIT_ROOMS_QUANTITY' ); ?>:
					</label></td>
					<td><input class="required validate-numeric text_area" type="text"
						name="quantity" id="quantity" size="10" maxlength="250" value="1" />
					</td>
				</tr>
				<?php } ?>


			</table>
		</fieldset>
	</div>


	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="idroom" value="<?php echo $this->room->idroom; ?>" />
	<input type="hidden" name="task" value="" /> <input type="hidden"
		name="controller" value="roomedit" /> <input type="hidden"
		name="return" value="<?php echo $this->prev; ?>" />
</form>
