<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access'); ?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
	<div id="editcell">
		<table>
			<tr>
				<td width="100%"><?php echo JText::_('COM_BOOKIT_FILTER'); ?>: <input
					type="text" name="filter_search" id="search"
					value="<?php echo $this->lists['search'];?>" class="text_area"
					onchange="document.adminForm.submit();" />
					<button onclick="this.form.submit();">
						<?php echo JText::_("COM_BOOKIT_GO"); ?>
					</button>

					<button
						onclick="document.adminForm.filter_search.value=''; this.form.submit();">
						<?php echo JText::_('COM_BOOKIT_RESET'); ?>
					</button>
				</td>

			</tr>
		</table>
		<table class="adminlist">
			<?php $ordering = ($this->lists['order'] == 'ordering');?>
			<thead>
				<tr>
					<th width="2%"><input type="checkbox" name="toggle" value=""
						onclick="checkAll(<?php echo count( $this->extras ); ?>);" /></th>
					<th width="2%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_ID', 'idextra', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="40%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_EXTRA_NAME', 'name', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="8%"><?php echo JHTML::_('grid.sort',   'Position', 'ordering', 'DESC', $this->lists['order'] ); ?>
						<?php if ($ordering) echo JHTML::_('grid.order',  $this->extras ); ?>
					</th>
					<th width="20%"><?php echo JText::_( 'COM_BOOKIT_EXTRA_PRICE' ); ?>
					</th>
					<th width="20%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_VALUE_PER', 'valueper', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
					<th width="2%"><?php echo JHTML::_( 'grid.sort', 'COM_BOOKIT_ACTIVATED', 'published', $this->lists['order_Dir'], $this->lists['order']); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="6"><?php echo $this->pagination->getListFooter(); ?></td>
				</tr>
			</tfoot>
			<?php

			$k = 0;
			for ($i=0, $n=count( $this->extras ); $i < $n; $i++)
			{
				$row =& $this->extras[$i];

				$checked    = JHTML::_( 'grid.id', $i, $row->idextra );
				$link = JRoute::_( 'index.php?option=com_blooking&controller=roomextra&task=edit&cid[]='.$row->idextra );
				$published = JHTML::_('grid.published', $row, $i );

				?>
			<tr class="<?php echo "row$k"; ?>">
				<td width="2%" align="center"><?php echo $checked; ?></td>
				<td width="2%" align="center"><?php echo $row->idextra; ?></td>

				<td width="40%" align="center"><a href="<?php echo $link; ?>"><?php echo $row->name; ?>
				</a></td>

				<td class="order"><span><?php echo $this->pagination->orderUpIcon( $i, ($i > 0), 'orderup', 'Move Up', $ordering); ?>
				</span> <span><?php echo $this->pagination->orderDownIcon( $i, $n, ($i < $n ), 'orderdown', 'Move Down', $ordering); ?>
				</span> <?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
					<input type="text" name="order[]" size="5"
					value="<?php echo $row->ordering; ?>" <?php echo $disabled ?>
					class="text_area" style="text-align: center" />
				</td>

				<td width="20%" align="center"><?php 
				//echo date($d1,strtotime($row->valid_from));
				$fix = $row->value_fix;
				if ($fix>0)
					echo $fix;
				else
					echo $row->value_percent."%";
				?>
				</td>
				<td width="20%" align="center"><?php echo JText::_($row->valueper);?>
				</td>
				<td width="2%" align="center"><?php echo $published; ?></td>
			</tr>
			<?php
			$k = 1 - $k;
			}
			?>
		</table>
	</div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="task" value="listing" /> <input type="hidden"
		name="boxchecked" value="0" /> <input type="hidden" name="controller"
		value="roomextra" /> <input type="hidden" name="view"
		value="roomextra" /> <input type="hidden" name="filter_order"
		value="<?php echo $this->lists['order']; ?>" /> <input type="hidden"
		name="filter_order_Dir" value="<?php $this->lists['order_Dir']; ?>" />
</form>
