<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.html.pagination');
JHTML::_('behavior.formvalidation');

$rule_types = $this->rules->rule_types;
$rule_type_default = $this->rules->rule_type_default;

$js = <<<EOD
window.addEvent( 'domready', function() {

	$('language').value='{$this->lang}';
	var jsonReq = new Request.JSON({
  		url: 'index.php',
 		method: 'get',
  		data: {json: 'yes' },
	  	onSuccess: function (responseJSON, responseText){

		if (typeof responseJSON != 'undefined' &&  responseJSON != null )
	  	{
	  		name = responseJSON.name;
	  		if (name!=null && name!="")
	  		$('name').value=name;
	  	}

  	}
 });
	if ({$this->rules->idrule}>0)
	{
		 jsonReq.get({'option': 'com_blooking', 'view':'rulesedit',
			'controller':'rulesedit', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'idrule':'{$this->rules->idrule}',
			'name':$('name').value});
	}
		
	$('language').addEvent('change',function(){

			 jsonReq.get({'option': 'com_blooking', 'view':'rulesedit',
			'controller':'rulesedit', 'format':'json',
			'task':'languageChange', 'language':$('language').value,
			'idrule':'{$this->rules->idrule}',
			'name':$('name').value});

	});

	if ($('mode').value==-1)
	{
		$('type_row').style.display='none';
		$('xvar_row').style.display='none';
		$('value_mode_row').style.display='none';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='none';
		$('price_mode_row').style.display='none';
		$('value_row').style.display='none';
		$('value_child_row').style.display='none';
		$('coupon_row').style.display='none';
		$('coupon_fieldset').style.display='none';


	}
	else
	{
		$('type_row').style.display='';
		if ($('mode').value==1)
		{
			$('coupon_row').style.display='';
			if ($('coupon_2').checked)// coupon
			{
				$('coupon_fieldset').style.display='';
				$('code').addClass('required');
				$('apply_on_row').style.display='none';

			}
			else
			{
				$('coupon_fieldset').style.display='none';
				$('code').removeClass('required');
				$('apply_on_row').style.display='';

			}
		}
       	else
        {
        	$('coupon_row').style.display='none';
       		$('coupon_fieldset').style.display='none';
       		$('code').removeClass('required');
       	}
	}
	if ($('type').value==-1)
	{
		$('xvar_row').style.display='none';
		$('xvar').removeClass('required');
		$('value_mode_row').style.display='none';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='none';
		$('price_mode_row').style.display='none';
		$('value_row').style.display='none';
		$('value_child_row').style.display='none';


	}
	else if ($('type').value==0) //Periodic rates
	{
		$('xvar_row').style.display='';
		$('xvar').addClass('required');
		$('value_mode_row').style.display='none';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='none';
		$('price_mode_row').style.display='none';
		$('value_row').style.display='';
		$('value_child_row').style.display='';

	}
	else if ($('type').value==1) //Daily rates
	{
		$('xvar_row').style.display='none';
		$('xvar').removeClass('required');
		$('value_mode_row').style.display='none';
		$('days_row').style.display='';
		$('apply_on_row').style.display='none';
		$('price_mode_row').style.display='none';
		$('value_row').style.display='';
		$('value_child_row').style.display='';

	}
	else if ($('type').value==2 || $('type').value==6) // After/Under v.1.5.4.3 X days
	{

		$('xvar_row').style.display='';
		$('xvar').addClass('required');
		$('value_mode_row').style.display='';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='';
		$('price_mode_row').style.display='';
		$('value_row').style.display='';
		if ($('price_mode_2').checked)
			$('value_child_row').style.display='';
		else
			$('value_child_row').style.display='none';

	}
	else if ($('type').value==3 || $('type').value==5 || $('type').value==7 || $('type').value==9) // After/Under v1.5.4.2 X adults
	{
		$('xvar_row').style.display='';
		$('xvar').addClass('required');
		$('value_mode_row').style.display='';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='';
		$('price_mode_row').style.display='';
		$('value_row').style.display='';
		$('value_child_row').style.display='none';
	}
	else if ($('type').value==4 || $('type').value==8 ) // After/Under v1.5.4.2 X children
	{
		$('xvar_row').style.display='';
		$('xvar').addClass('required');
		$('value_mode_row').style.display='';
		$('days_row').style.display='none';
		$('apply_on_row').style.display='';
		$('price_mode_row').style.display='';
		$('value_row').style.display='none';
		$('value_child_row').style.display='';
	}

  	//On mode drop down change
	$('mode').addEvent('change',function(){
		if ($('mode').value==-1)
	  	{
	  		$('type_row').style.display='none';
			$('xvar_row').style.display='none';
			$('value_mode_row').style.display='none';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='none';
			$('price_mode_row').style.display='none';
			$('value_row').style.display='none';
			$('value_child_row').style.display='none';
			$('coupon_row').style.display='none';
			$('coupon_fieldset').style.display='none';
		

	    }
	    else
	    {
	        if ($('mode').value==1)
			{
				$('coupon_row').style.display='';
				if ($('coupon_2').checked)// coupon
				{
					$('coupon_fieldset').style.display='';
					$('code').addClass('required');
					$('apply_on_row').style.display='none';
			
				}
				else
				{
					$('coupon_fieldset').style.display='none';
					$('code').removeClass('required');
					$('apply_on_row').style.display='';
			
				}
			}
       		else
        	{
        		$('coupon_row').style.display='none';
        		$('coupon_fieldset').style.display='none';
        		$('code').removeClass('required');
        	}


	   	 	$('xvar_row').style.display='none';
	   	 	$('xvar').removeClass('required');
			$('value_mode_row').style.display='none';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='none';
			$('price_mode_row').style.display='none';
			$('value_row').style.display='none';
			$('value_child_row').style.display='none';
		

			//modify the type options according to mode selection
			$('type').empty();
			if ($('mode').value==0) //special rate
	  		{
	  			var opt = document.createElement('option');
				opt.text = '{$rule_type_default}';
	        	opt.value = -1;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[0]}';
	        	opt.value = 0;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[1]}';
	        	opt.value = 1;
	        	$('type').add(opt, null);
	        }
	        else //special offer or extra charge
	  		{
	  			var opt = document.createElement('option');
				opt.text = '{$rule_type_default}';
	        	opt.value = -1;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[2]}';
	        	opt.value = 2;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[3]}';
	        	opt.value = 3;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[4]}';
	        	opt.value = 4;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[5]}';
	        	opt.value = 5;
	        	$('type').add(opt, null);
	        	//v.1.5.4.3
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[6]}';
	        	opt.value = 7;
	        	$('type').add(opt, null);
	        	//v.1.5.4.2
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[7]}';
	        	opt.value = 7;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[8]}';
	        	opt.value = 8;
	        	$('type').add(opt, null);
	        	var opt = document.createElement('option');
				opt.text = '{$rule_types[9]}';
	        	opt.value = 9;
	        	$('type').add(opt, null);
	        	//v.1.5.4.2



	        }
			$('type').value = -1;
			$('type_row').style.display='';
		}
	});
	//On type drop down change
	$('type').addEvent('change',function(){

		if ($('type').value==-1)
		{
			$('xvar_row').style.display='none';
			$('xvar').removeClass('required');
			$('value_mode_row').style.display='none';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='none';
			$('price_mode_row').style.display='none';
			$('value_row').style.display='none';
			$('value_child_row').style.display='none';
		
		}
		else if ($('type').value==0) //Periodic rates
		{
			$('xvar_row').style.display='';
			$('xvar').addClass('required');
			$('value_mode_row').style.display='none';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='none';
			$('price_mode_row').style.display='none';
			$('value_row').style.display='';
			$('value_child_row').style.display='';
		
		}
	  	else if ($('type').value==1) //Daily rates
		{
			$('xvar_row').style.display='none';
			$('xvar').removeClass('required');
			$('value_mode_row').style.display='none';
			$('days_row').style.display='';
			$('apply_on_row').style.display='none';
			$('price_mode_row').style.display='none';
			$('value_row').style.display='';
			$('value_child_row').style.display='';
		}
		else if ($('type').value==2 || $('type').value==6) // Over/Under (v1.5.4.3) X days
		{
			$('xvar_row').style.display='';
			$('xvar').addClass('required');
			$('value_mode_row').style.display='';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='';
			$('price_mode_row').style.display='';
			$('value_row').style.display='';
			if ($('price_mode_2').checked)
			$('value_child_row').style.display='';
			else
			$('value_child_row').style.display='none';
		}
		else if ($('type').value==3 || $('type').value==5 || $('type').value==7 || $('type').value==9) // Over/Under (v1.5.4.2) X adults
		{
			$('xvar_row').style.display='';
			$('xvar').addClass('required');
			$('value_mode_row').style.display='';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='';
			$('price_mode_row').style.display='';
			$('value_row').style.display='';
			$('value_child_row').style.display='none';
		}
		else if ($('type').value==4 || $('type').value==8 ) // Over/Under (v1.5.4.2) X children
		{
			$('xvar_row').style.display='';
			$('xvar').addClass('required');
			$('value_mode_row').style.display='';
			$('days_row').style.display='none';
			$('apply_on_row').style.display='';
			$('price_mode_row').style.display='';
			$('value_row').style.display='none';
			$('value_child_row').style.display='';
		}
	});

	//On price_mode radio button change
	$('price_mode_1').addEvent('change',function(){
		if ($('price_mode_1').checked) //room
		{
			$('value_child_row').style.display='none';
			$('value_row').style.display='';

		}
	});
	$('price_mode_2').addEvent('change',function(){
		if ($('price_mode_2').checked) //guests
		{
			if ($('type').value==2)
			{
				$('value_child_row').style.display='';
				$('value_row').style.display='';
			}
			else if ($('type').value==4)
			{
				$('value_child_row').style.display='';
				$('value_row').style.display='none';
			}
		}
	});
	//On coupon radio button change
	$('coupon_1').addEvent('change',function(){
		if ($('coupon_1').checked) //no coupon
		{
			$('coupon_fieldset').style.display='none';
			$('code').removeClass('required');
			$('apply_on_row').style.display='';
		
		}
		else
		{
			$('coupon_fieldset').style.display='';
			$('code').addClass('required');
			$('apply_on_row').style.display='none';
		
		}
	});
	$('coupon_2').addEvent('change',function(){
		if ($('coupon_2').checked) //coupon
		{
			$('coupon_fieldset').style.display='';
			$('code').addClass('required');
			$('apply_on_row').style.display='none';
		}
		else
		{
			$('coupon_fieldset').style.display='none';
			$('code').removeClass('required');
			$('apply_on_row').style.display='';
		}
	});



});
EOD;

$doc = & JFactory::getDocument();
$doc->addScriptDeclaration( $js );
?>

<style type="text/css">
.invalid {
	border: 1px solid red;
}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm"
	class="form-validate">
	<div class="col100">
		<fieldset class="adminform">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_RULES_MANAGER' ); ?>
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="language"> <?php echo JText::_( 'COM_BOOKIT_LANGUAGE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['language']; ?></td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="name"> <?php echo JText::_( 'COM_BOOKIT_RULE_NAME' ); ?>:
					</label>
					</td>
					<td><input class="required text_area" type="text" name="name"
						id="name" size="30" maxlength="250"
						value="<?php echo $this->rules->name;?>" />
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="idcategory">
							<?php echo JText::_( 'COM_BOOKIT_ROOM_CATEGORY' ); ?>:
					</label></td>

					<td><?php echo $this->lists['categories']; ?>
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="mode"> <?php echo JText::_( 'COM_BOOKIT_RULE_MODE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['rule_modes']; ?>
					</td>
				</tr>
				<tr id="type_row">
					<td width="100" align="right" class="key"><label for="type"> <?php echo JText::_( 'COM_BOOKIT_RULE_TYPE' ); ?>:
					</label></td>

					<td><?php echo $this->lists['rule_types']; ?>
					</td>
				</tr>

				<tr id="value_mode_row" style="display: none;">
					<td width="30" align="right" class="key"><label for="value_mode"> <?php echo JText::_( 'COM_BOOKIT_PERCENTAGE' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('JNO');?></td>
								<td><input type="radio" name="value_mode" id="value_mode"
									value="0"
									<?php if ($this->rules->value_mode==0||
											$this->rules->value_mode==""){
										echo 'checked="checked"';}?> /></td>

								<td><?php echo JText::_('JYES');?></td>
								<td><input type="radio" name="value_mode" id="value_mode"
									value="1"
									<?php if ($this->rules->value_mode==1)
									{ echo 'checked="checked"';}?> />
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="price_mode_row" style="display: none;">
					<td width="30" align="right" class="key"><label for="price_mode"> <?php echo JText::_( 'COM_BOOKIT_CHARGE_PER' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('COM_BOOKIT_ROOM');?></td>
								<td><input type="radio" name="price_mode" id="price_mode_1"
									value="0"
									<?php if ($this->rules->price_mode==0||
											$this->rules->price_mode==""){
										echo 'checked="checked"';}?> /></td>

								<td><?php echo JText::_('COM_BOOKIT_GUESTS');?></td>
								<td><input type="radio" name="price_mode" id="price_mode_2"
									value="1"
									<?php if ($this->rules->price_mode==1)
									{ echo 'checked="checked"';}?> />
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="apply_on_row" style="display: none;">
					<td width="30" align="right" class="key"><label for="apply_on"> <?php echo JText::_( 'COM_BOOKIT_APPLY_ON' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('COM_BOOKIT_TOTAL_AMOUNT');?></td>
								<td><input type="radio" name="apply_on" id="apply_on" value="0"
								<?php if ($this->rules->apply_on==0||
										$this->rules->apply_on==""){
									echo 'checked="checked"';}?> /></td>

								<td><?php echo JText::_('COM_BOOKIT_DAILY_RATE');?></td>
								<td><input type="radio" name="apply_on" id="apply_on" value="1"
								<?php if ($this->rules->apply_on==1)
								{ echo 'checked="checked"';}?> />
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="days_row" style="display: none;">
					<td width="100" align="right" class="key"><label for="xvar"> <?php echo JText::_( 'COM_BOOKIT_RULE_DAYS' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_MONDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[1]" value="0" /> <input
									type="checkbox" name="selected_days[1]" value="1"
									<?php if ($this->days[1]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_TUESDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[2]" value="0" /> <input
									type="checkbox" name="selected_days[2]" value="1"
									<?php if ($this->days[2]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_WEDNESDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[3]" value="0" /> <input
									type="checkbox" name="selected_days[3]" value="1"
									<?php if ($this->days[3]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_THURSDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[4]" value="0" /> <input
									type="checkbox" name="selected_days[4]" value="1"
									<?php if ($this->days[4]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_FRIDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[5]" value="0" /> <input
									type="checkbox" name="selected_days[5]" value="1"
									<?php if ($this->days[5]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SATURDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[6]" value="0" /> <input
									type="checkbox" name="selected_days[6]" value="1"
									<?php if ($this->days[6]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
							<tr>
								<td><?php echo JText::_( 'COM_BOOKIT_SUNDAY' ); ?>:</td>
								<td><input type="hidden" name="selected_days[0]" value="0" /> <input
									type="checkbox" name="selected_days[0]" value="1"
									<?php if ($this->days[0]==1) {
										echo 'checked="checked"';}?>>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="value_row" style="display: none;">
					<td width="100" align="right" class="key"><label for="value"> <?php echo JText::_( 'COM_BOOKIT_VALUE' ); ?>:
					</label></td>
					<td><input class="required validate-numeric text_area" type="text"
						name="value" id="value" size="16" maxlength="50"
						value="<?php if($this->rules->value) echo $this->rules->value; else echo 0; ?>" />
					</td>
				</tr>
				<tr id="value_child_row" style="display: none;">
					<td width="100" align="right" class="key"><label for="value_child">
							<?php echo JText::_( 'COM_BOOKIT_VALUE_CHILD' ); ?>:
					</label></td>
					<td><input class="required validate-numeric text_area" type="text"
						name="value_child" id="value_child" size="16" maxlength="50"
						value="<?php if($this->rules->value_child) echo $this->rules->value_child; else echo 0;?>" />
					</td>
				</tr>
				<tr id="xvar_row">
					<td width="100" align="right" class="key"><label for="xvar"> <?php echo JText::_( 'COM_BOOKIT_X_VAR' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="xvar" id="xvar" size="16" maxlength="50"
						value="<?php echo $this->rules->xvar;?>" />
					</td>
				</tr>

				<tr>
					<td width="100" align="right" class="key"><label for="period"> <?php echo JText::_( 'COM_BOOKIT_PERIOD' ); ?>:
					</label>
					</td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('COM_BOOKIT_FROM'); ?></td>
								<td><?php 
								$js2 = 'onChange="(updateToField(\''.$this->rules->d1.'\'));"';
								if($this->rules->valid_from!="") //Edit
								{
									echo JHTML::_('calendar',date($this->rules->d1,
									strtotime($this->rules->valid_from)),'valid_from',
						'valid_from',$this->rules->d2,
						'class="required validate-dates" size="10"'.$js2);
								}
								else
									echo JHTML::_('calendar',date($this->rules->d1),'valid_from',
											'valid_from',$this->rules->d2,
											'class="required validate-dates" size="10"'.$js2);
								?>
								</td>
								<td><?php echo JText::_('COM_BOOKIT_TO');?></td>
								<td><?php if($this->rules->valid_to!="")
								{
									echo JHTML::_('calendar',date($this->rules->d1,
									strtotime($this->rules->valid_to)),'valid_to','valid_to',
									$this->rules->d2,
					'class="required validate-dates" size="10"');
								}
								else  echo JHTML::_('calendar',date($this->rules->d1,
								strtotime("+1 day")),'valid_to','valid_to',$this->rules->d2,
					'class="required validate-dates" size="10"');?>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr id="coupon_row" style="display: none;">
					<td width="30" align="right" class="key"><label for="coupon"> <?php echo JText::_( 'COM_BOOKIT_COUPON' ); ?>:
					</label></td>
					<td>
						<table>
							<tr>
								<td><?php echo JText::_('JNO');?></td>
								<td><input type="radio" name="coupon" id="coupon_1" value="0"
								<?php if ($this->rules->coupon==0||
										$this->rules->coupon==""){
									echo 'checked="checked"';}?> /></td>

								<td><?php echo JText::_('JYES');?></td>
								<td><input type="radio" name="coupon" id="coupon_2" value="1"
								<?php if ($this->rules->coupon==1)
								{ echo 'checked="checked"';}?> />
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset class="adminform" style="display: none;"
			id="coupon_fieldset">
			<legend>
				<?php echo JText::_( 'COM_BOOKIT_COUPON' ); ?>
				:
			</legend>
			<table class="admintable">
				<tr>
					<td width="100" align="right" class="key"><label for="code"> <?php echo JText::_( 'COM_BOOKIT_CODE' ); ?>:
					</label></td>
					<td><input class="required text_area" type="text" name="code"
						id="code" size="30" maxlength="250"
						value="<?php echo $this->rules->code;?>" />
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="quantity"> <?php echo JText::_( 'COM_BOOKIT_QUANTITY' ); ?>:
					</label></td>
					<td><input class="validate-numeric text_area" type="text"
						name="quantity" id="quantity" class="inputbox" size="16"
						maxlength="50" value="<?php echo $this->rules->quantity;?>" />
					</td>
				</tr>
				<tr>
					<td width="100" align="right" class="key"><label for="times_used">
							<?php echo JText::_( 'COM_BOOKIT_TIMES_USED' ); ?>:
					</label></td>
					<td><input class="validate-numerictext_area" type="text"
						name="times_used" class="inputbox" size="16" maxlength="50"
						value="<?php if (isset($this->rules->times_used))
			 echo $this->rules->times_used; else echo 0;?>"
						disabled="disabled" />
					</td>
				</tr>
			</table>

		</fieldset>
	</div>

	<div class="clr"></div>

	<input type="hidden" name="option" value="com_blooking" /> <input
		type="hidden" name="idrule"
		value="<?php echo $this->rules->idrule; ?>" /> <input type="hidden"
		name="task" value="" /> <input type="hidden" name="controller"
		value="rulesedit" />
</form>

<script language='javascript'>   
function updateToField(format){

	if (format=='d-m-Y')
	{
		var arr =  document.getElementById('valid_from').value.split("-");
		newFromDate = new Date(arr[2],arr[1]-1,arr[0]);
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=getPHPDay(newFromDate.getDate())+"-"+getPHPMonth(newFromDate.getMonth())+"-"+newFromDate.getFullYear();
	}
	else if (format=='Y-m-d')
	{
		var arr =  document.getElementById('valid_from').value.split("-");
		newFromDate = new Date(arr[0],arr[1]-1,arr[2]);
		
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=newFromDate.getFullYear()+"-"+getPHPMonth(newFromDate.getMonth())+"-"+getPHPDay(newFromDate.getDate());
	}
	else if (format=='m\/d\/Y')
	{
		var arr =  document.getElementById('valid_from').value.split("/");
		newFromDate = new Date(arr[2],arr[0]-1,arr[1]);
		newFromDate.setDate(newFromDate.getDate()+1);
		document.getElementById('valid_to').value=getPHPMonth(newFromDate.getMonth())+"/"+getPHPDay(newFromDate.getDate())+"/"+newFromDate.getFullYear();
	}
	
}

function getPHPMonth (month)
{
	if (month==0)
		return "01";
	else if (month==1)
		return "02";
	else if (month==2)
		return "03";
	else if (month==3)
		return "04";
	else if (month==4)
		return "05";
	else if (month==5)
		return "06";
	else if (month==6)
		return "07";
	else if (month==7)
		return "08";
	else if (month==8)
		return "09";
	else if (month==9)
		return "10";
	else if (month==10)
		return "11";
	else if (month==11)
		return "12";
	else
		alert ("Date Error!");	
}

function getPHPDay (day){
	if (day<10)
		return "0"+day;
	else
		return day;
}

</script>
