<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to 
 * BlooKing! someplace in your code and provide a link to 
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can 
 * redistribute it and/or modify it under the terms of the GNU General Public 
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __               
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemBlookingEGipsy extends JPlugin
{
	
	function plgSystemBlookingEGipsy(&$subject, $config)
	{
		parent::__construct($subject, $config);
		
	}
	
	function onMakeBookingBlookingEGipsy($data)
	{
		$res = new stdClass ();
		$this->loadLanguage('plg_system_blookingegipsy', JPATH_ADMINISTRATOR);
		//if ($data['deposit']<=0)
		//{
		//	$res->msg = "<span class='error'>".JText::_('COM_BOOKIT_WRONG_AMOUNT')."</span>";
		//	$res->code = -1;
		//	return $res;
		//} 
		
		$link = 'https://www.payment.fccrt.it/CheckOutEGIPSy.asp';
		$item = "code1^paper^1^0,01^EUR;";
		$mac = $this->params->get('egipsy_merchantid','NCHTEST')."####ORDER_ID#####"."0,01EUR".$this->params->get('egipsy_abi','03599').$item.$this->params->get('egipsy_key','CAE5859549B7F54834040AA110A533A1
		');
		$return_link = JRoute::_(JURI::base()."index.php?option=com_blooking&lang=".$data['lang']."&controller=finalform&task=egipsyTransactionCompleted");

		$html = "<form action='".$link."' method='post' id='payEGipsy'>";
		$html .= "<input type='hidden' name='MERCHANT_ID' value='".$this->params->get('egipsy_merchantid','NCHTEST')."'>";
		$html .= "<input type='hidden' name='ORDER_ID' id='ORDER_ID' value=''>";
		$html .= "<input type='hidden' name='ABI' value='".$this->params->get('egipsy_abi','03599')."' >";
		$html .= "<input type='hidden' name='IMPORTO' value='0,01'>";
		$html .= "<input type='hidden' name='ITEMS' value='".$item."'>";
		$html .= "<input type='hidden' name='DIVISA' value='".$data['currency']."'>";
		$html .= "<input type='hidden' name='URLOK' value='".$return_link."'>";
		$html .= "<input type='hidden' name='URLKO' value='".$return_link."'>";
		$html .= "<input type='hidden' name='URLACK' value='".$return_link."'>";
		$html .= "<input type='hidden' name='MAC' value='".strtoupper(MD5($mac))."'>";
		$html .= "</form>";
		
		$res->msg = $html;
		$res->code = 1;
		
		return $res;
	}
}