/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to 
 * BlooKing! someplace in your code and provide a link to 
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can 
 * redistribute it and/or modify it under the terms of the GNU General Public 
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __               
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

var Days;

function mod_init(phpStrings) {  

	Days = phpStrings.Days;
}


function mod_updateDateField(field,format,min_stay,last_date){

	var now = new Date();
	var today = new Date (now.getFullYear(), now.getMonth(), now.getDate() );
	if (typeof(min_stay)=='undefined' || min_stay==null) min_stay=1;
	
	document.id('mod_valid_to_error_div').style.display = 'none';

	$("mod_valid_from").style.border="";
	$("mod_valid_to").style.border="";

	if (format=='d-m-Y')
	{
		if (field=='mod_valid_from')
		{
			var arr =  $('mod_valid_from').value.split("-");
			newFromDate = new Date(arr[2],arr[1]-1,arr[0]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[2],last_arr[1]-1,last_arr[0]);		
			var testLastDateFrom = mod_addDays(newFromDate, min_stay);
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=getPHPDay(now.getDate())+"-"+
				getPHPMonth(now.getMonth())+"-"+now.getFullYear();
				setDayName("mod_valid_from", "d-m-Y");
				$("mod_valid_from").style.border='2px solid red';
				
				newToDate = mod_addDays(now, min_stay);
				$('mod_valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("mod_valid_to", "d-m-Y");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('mod_valid_to_error_div').style.display = '';

				newDate = mod_removeDays(newLastDate, min_stay);
				document.id('mod_valid_from').value=getPHPDay(newDate.getDate())+"-"+
				getPHPMonth(newDate.getMonth())+"-"+newDate.getFullYear();
				setDayName("mod_valid_from", "d-m-Y");
				document.id("mod_valid_from").style.border='2px solid red';

				document.id('mod_valid_to').value=getPHPDay(newLastDate.getDate())+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+newLastDate.getFullYear();
				setDayName("mod_valid_to", "d-m-Y");
				document.id("mod_valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
			}
		}
		else if (field=='mod_valid_to')
		{
			var arr =  $('mod_valid_to').value.split("-");
			newToDate = new Date(arr[2],arr[1]-1,arr[0]);
			var arr2 =  $('mod_valid_from').value.split("-");
			newFromDate = new Date(arr2[2],arr2[1]-1,arr2[0]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[2],last_arr[1]-1,last_arr[0]);		
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=getPHPDay(now.getDate())+"-"+
				getPHPMonth(now.getMonth())+"-"+now.getFullYear();
				setDayName("mod_valid_from", "d-m-Y");
				$("mod_valid_from").style.border='2px solid red';
				
				newToDate = mod_addDays(now , min_stay);
				$('mod_valid_to').value=getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("mod_valid_to", "d-m-Y");
			}
			else if (newToDate > newLastDate)
			{	
				document.id('mod_valid_to_error_div').style.display = '';

				
				document.id('mod_valid_to').value=getPHPDay(newLastDate.getDate())+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+newLastDate.getFullYear();
				setDayName("mod_valid_to", "d-m-Y");
				document.id("mod_valid_to").style.border='2px solid red';
				return;
			}				
			if(mod_daysBetween( newFromDate, newToDate) < min_stay)
			{
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value= getPHPDay(newToDate.getDate())+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				newToDate.getFullYear();
				setDayName("mod_valid_to", "d-m-Y");
				$("mod_valid_to").style.border='2px solid red';
			}
		}
	}
	else if (format=='Y-m-d')
	{
		if (field=='mod_valid_from')
		{
			var arr =  $('mod_valid_from').value.split("-");
			newFromDate = new Date(arr[0],arr[1]-1,arr[2]);		
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[0],last_arr[1]-1,last_arr[2]);		
			var testLastDateFrom = mod_addDays(newFromDate, min_stay);
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=now.getFullYear()+"-"+
				getPHPMonth(now.getMonth())+"-"+getPHPDay(now.getDate());
				setDayName("mod_valid_from", "Y-m-d");
				$("mod_valid_from").style.border='2px solid red';
				newToDate = mod_addDays(now, min_stay);
				$('mod_valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
				setDayName("mod_valid_to", "Y-m-d");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('mod_valid_to_error_div').style.display = '';

				
				newDate = mod_removeDays(newLastDate, min_stay);
				document.id('mod_valid_from').value=newDate.getFullYear()+"-"+
				getPHPMonth(newDate.getMonth())+"-"+getPHPDay(newDate.getDate());
				setDayName("mod_valid_from", "Y-m-d");
				document.id("mod_valid_from").style.border='2px solid red';

				document.id('mod_valid_to').value=newLastDate.getFullYear()+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+getPHPDay(newLastDate.getDate());
				setDayName("mod_valid_to", "Y-m-d");
				document.id("mod_valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
			}
		}
		else if (field=='mod_valid_to')
		{
			var arr =  $('mod_valid_to').value.split("-");
			newToDate = new Date(arr[0],arr[1]-1,arr[2]);
			var arr2 =  $('mod_valid_from').value.split("-");
			newFromDate = new Date(arr2[0],arr2[1]-1,arr2[2]);	
			var last_arr =  last_date.split("-");
			newLastDate = new Date(last_arr[0],last_arr[1]-1,last_arr[2]);	
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=now.getFullYear()+"-"+
				getPHPMonth(now.getMonth())+"-"+getPHPDay(now.getDate());
				setDayName("mod_valid_from", "Y-m-d");
				$("mod_valid_from").style.border='2px solid red';
				newToDate = mod_addDays(now, min_stay);
				$('mod_valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
				setDayName("mod_valid_to", "Y-m-d");
			}
			else if (newToDate > newLastDate)
			{	
				document.id('mod_valid_to_error_div').style.display = '';

				document.id('mod_valid_to').value=newLastDate.getFullYear()+"-"+
				getPHPMonth(newLastDate.getMonth())+"-"+getPHPDay(newLastDate.getDate());
				setDayName("mod_valid_to", "Y-m-d");
				document.id("mod_valid_to").style.border='2px solid red';
				return;
			}	
			if(mod_daysBetween( newFromDate, newToDate) < min_stay)
			{
				
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value=newToDate.getFullYear()+"-"+
				getPHPMonth(newToDate.getMonth())+"-"+
				getPHPDay(newToDate.getDate());
				setDayName("mod_valid_to", "Y-m-d");
				$("mod_valid_to").style.border='2px solid red';

			}
		}
	}
	else if (format=='m/d/Y')
	{
		if (field=='mod_valid_from')
		{
			var arr =  $('mod_valid_from').value.split("/");
			newFromDate = new Date(arr[2],arr[0]-1,arr[1]);		
			var last_arr =  last_date.split("/");
			newLastDate = new Date(last_arr[2],last_arr[0]-1,last_arr[1]);		
			var testLastDateFrom = mod_addDays(newFromDate, min_stay);
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=getPHPMonth(now.getMonth())+"/"+
				getPHPDay(now.getDate())+"/"+now.getFullYear();
				setDayName("mod_valid_from", "m/d/Y");
				$("mod_valid_from").style.border='2px solid red';
				
				newToDate = mod_addDays (now, min_stay);
				$('mod_valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("mod_valid_to", "m/d/Y");
			}
			else if (testLastDateFrom > newLastDate)
			{
				document.id('mod_valid_to_error_div').style.display = '';

				newDate = mod_removeDays(newLastDate, min_stay);
				document.id('mod_valid_from').value=getPHPMonth(newDate.getMonth())+"/"+
				getPHPDay(newDate.getDate())+"/"+newDate.getFullYear();
				setDayName("mod_valid_from", "m/d/Y");
				document.id("mod_valid_from").style.border='2px solid red';

				document.id('mod_valid_to').value=getPHPMonth(newLastDate.getMonth())+"/"+
				getPHPDay(newLastDate.getDate())+"/"+newLastDate.getFullYear();
				setDayName("mod_valid_to", "m/d/Y");
				document.id("mod_valid_to").style.border='2px solid red';
			}
			else
			{
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
			}
		}
		else if (field=='mod_valid_to')
		{
			var arr =  $('mod_valid_to').value.split("/");
			newToDate = new Date(arr[2],arr[0]-1,arr[1]);
			var arr2 =  $('mod_valid_from').value.split("/");
			newFromDate = new Date(arr2[2],arr2[0]-1,arr2[1]);
			var last_arr =  last_date.split("/");
			newLastDate = new Date(last_arr[2],last_arr[0]-1,last_arr[1]);	
			
			if (newFromDate < today)
			{
				$('mod_valid_from').value=getPHPMonth(now.getMonth())+"/"+
				getPHPDay(now.getDate())+"/"+now.getFullYear();
				setDayName("mod_valid_from", "m/d/Y");
				$("mod_valid_from").style.border='2px solid red';
				
				newToDate = mod_addDays (now, min_stay);
				$('mod_valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("mod_valid_to", "m/d/Y");
			}
			else if (newToDate > newLastDate)
			{			
				document.id('mod_valid_to_error_div').style.display = '';

				document.id('mod_valid_to').value=getPHPMonth(newLastDate.getMonth())+"/"+
				getPHPDay(newLastDate.getDate())+"/"+newLastDate.getFullYear();
				setDayName("mod_valid_to", "m/d/Y");
				document.id("mod_valid_to").style.border='2px solid red';
				return;
			}	
			if(mod_daysBetween( newFromDate, newToDate) < min_stay)
			{
				newToDate = mod_addDays(newFromDate, min_stay);
				$('mod_valid_to').value=getPHPMonth(newToDate.getMonth())+"/"+
				getPHPDay(newToDate.getDate())+"/"+newToDate.getFullYear();
				setDayName("mod_valid_to", "m/d/Y");
				$("mod_valid_to").style.border='2px solid red';

			}
		}
	}
}

function days_between(date1, date2) {
	// The number of milliseconds in one day
	var ONE_DAY = 1000 * 60 * 60 * 24;
	// Convert both dates to milliseconds
	var date1_ms = date1.getTime();
	var date2_ms = date2.getTime();
	// Calculate the difference in milliseconds
	var difference_ms = Math.abs(date1_ms - date2_ms);
	// Convert back to days and return
	return Math.round(difference_ms/ONE_DAY);
}

function getPHPMonth (month) {
	switch(month)
	{
	case 0:
		return "01";
	case 1:
		return "02";
	case 2:
		return "03";
	case 3:
		return "04";
	case 4:
		return "05";
	case 5:
		return "06";
	case 6:
		return "07";
	case 7:
		return "08";
	case 8:
		return "09";
	case 9:
		return "10";
	case 10:
		return "11";
	case 11:
		return "12";
	default:
		alert ("getPHPMonth invalid month error");
	}
}
function getJSDay (d)
{
	switch(d)
	{
	case 0:
		return Days.sunday;
	case 1:
		return Days.monday;
	case 2:
		return Days.tuesday;
	case 3:
		return Days.wednesday;
	case 4:
		return Days.thursday;
	case 5:
		return Days.friday;
	case 6:
		return Days.saturday;
	default:
		alert ("jetJSDay invalid day error");
	}
}

function getPHPDay (day){
	if (day < 10) {
		return "0"+day;
	}
	else {
		return day;
	}
}

function setDayName(field, format){
	var myDays=[Days.sunday,Days.monday,Days.tuesday,Days.wednesday,
	            Days.thursday,Days.friday,Days.saturday,Days.sunday];

	if (format=='d-m-Y')
	{
		var arr =  $(field).value.split("-");
		newFromDate = new Date(arr[2],arr[1]-1,arr[0]);
		$(field+"_day_div").set('html',myDays[newFromDate.getDay()]);
	}
	else if (format=='Y-m-d')
	{
		var arr =  $(field).value.split("-");
		newFromDate = new Date(arr[0],arr[1]-1,arr[2]);
		$(field+"_day_div").set('html', myDays[newFromDate.getDay()]);
	}
	else if (format=='m/d/Y')
	{
		var arr =  $(field).value.split("/");
		newFromDate = new Date(arr[2],arr[0]-1,arr[1]);
		$(field+"_day_div").set('html', myDays[newFromDate.getDay()]);
	}
}



function mod_updateGuestFields (no, max_childs)
{
	var no = parseInt (no);
	

	for (var i=1; i<=no; i++)
	{
		$('mod_room'+i+'_adults').set('class', 
				'bookit_search_rooms_dropbox');
		if (max_childs>0)
			$('mod_room'+i+'_children').set('class', 
					'bookit_search_rooms_dropbox');
		
	}
	if (no < 8)
	{

		for (var j=(no+1); j<=8; j++)
		{
			$('mod_room'+j+'_adults').set ('class', 
					'bookit_search_rooms_dropbox_hidden');
			if (max_childs>0)
				$('mod_room'+j+'_children').set ('class',
						'bookit_search_rooms_dropbox_hidden');
			

		}
	}
}

function mod_toggleGuestDetails(id, label_id)
{

	if($(id).style.display!='none')
	{
		$(id).style.display='none';
		$(label_id).set('class','toggle_label_closed');
	}
	else
	{
		$(id).style.display='';
		$(label_id).set('class','toggle_label_open');
	}

}
function mod_onGuestsChange ()
{
/*
	$('bookit_search_results').style.display = 'none';
	$('quick_results').set('html','');
	$('quick_results_error').set('html','');
	*/
}
function mod_daysBetween(from, to) {

    // Copy date parts of the timestamps, discarding the time parts.
    var one = new Date(from.getFullYear(), from.getMonth(), from.getDate());
    var two = new Date(to.getFullYear(), to.getMonth(), to.getDate());

    // Do the math.
    var millisecondsPerDay = 1000 * 60 * 60 * 24;
    var millisBetween = two.getTime() - one.getTime();
    var days = millisBetween / millisecondsPerDay;

    // Round down.
    return Math.floor(days);
}

function mod_addDays(myDate,days) {
	return new Date(myDate.getTime() + days*24*60*60*1000);
}

function mod_removeDays(myDate,days) {
	return new Date(myDate.getTime() - days*24*60*60*1000);
}
