<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to 
 * BlooKing! someplace in your code and provide a link to 
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can 
 * redistribute it and/or modify it under the terms of the GNU General Public 
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more 
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __               
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemBlookingCimb extends JPlugin
{
	
	function plgSystemBlookingCimb (&$subject, $config)
	{
		parent::__construct($subject, $config);
		
	}
	
	function onMakeBookingBlookingcimb($data)
	{
		$res = new stdClass ();
		$this->loadLanguage('plg_system_blookingcimb', JPATH_ADMINISTRATOR);

		if ($data['deposit']<=0)
		{
			$res->msg = "<span class='error'>".JText::_('COM_BOOKIT_WRONG_AMOUNT')."</span>";
			$res->code = -1;
			return $res;
		} 
		//Get merchant details from plugin params
		$sandbox = $this->params->get('sandbox', 0);
		$merchantId = $this->params->get('merchantId', "");
		$billAccountNo = $this->params->get('bill_account_no', "");
		
		$orderRef=date('YmdHis');		
		
		if ($sandbox==1)
		{
			$link = 'https://203.153.83.64/TIBSEPWeb/ePayment.do?';
		}
		else 
		{
			$link = 'https://www.cimbclicks.com.my/TIBSEPWeb/ePayment.do?';
			
		}
		
		$return_link = JURI::base()."index.php?option=com_blooking&lang=".$data['lang']."&controller=finalform&task=cimbtransactionCompleted";
		
		$html = "<form name='cimbForm' id='cimbForm' method='get' action='".$link."'>";
		$html .= "<input type='hidden' name='payeeId' value='".$merchantId."'>";
		$html .= "<input type='hidden' name='amount' value='".$data['deposit']."' >";
		$html .= "<input type='hidden' name='billAccountNo' value='".$billAccountNo."'>";
		$html .= "<input type='hidden' name='billReferenceNo' value='".$data['name']." ".$data['surname']."'>";
		$html .= "<input type='hidden' name='billReferenceNo2' value='".$data['phone']."'>";
		$html .= "<input type='hidden' name='billReferenceNo3' id='bookingids' value=''>";
		$html .= "</form>";


		$res->msg = $html;
		$res->code = 1;
		
		return $res;
	}

}