<?php
/**
 * BlooKing - The King in Joomla Booking
 * @version 1.0
 * @author BlooKing.org. Based on BooKiTGold code by Costas Kakousis
 * @copyright (C) 2012-2013 by BlooKing.org (http://www.blooking.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, please make a reference to
 * BlooKing! someplace in your code and provide a link to
 * http://www.blooking.org
 *
 * This file is part of BlooKing! BlooKing is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * BlooKing is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details. You should have received a copy of the GNU General Public License
 * along with BlooKing.  If not, see <http://www.gnu.org/licenses/>.
 *   ______ __                __  __ __
 *	|   __ \  |.-----..-----.|  |/  |__|.-----..-----.
 *	|   __ <  ||  _  ||  _  ||     <|  ||     ||  _  |
 *	|______/__||_____||_____||__|\__|__||__|__||___  |
 *                                             |_____|
 **/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemBlookingWire extends JPlugin
{

	function plgSystemBlookingWire(&$subject, $config)
	{
		parent::__construct($subject, $config);
			
	}

	function onMakeBookingBlookingwire($data)
	{
		$res = new stdClass ();
		$this->loadLanguage('plg_system_blookingwire', JPATH_ADMINISTRATOR);

		// 		$html  = "<lu>";
		// 		$html  .= "<li><span class='key'>".
		// 			JText::_('COM_BOOKIT_WIRE_BANK_ADDRESS')."</span>".
		// 			$this->params->get('bank_address','')."</li>";

		// 		$html  .= "<li><span class='key'>".
		// 				JText::_('COM_BOOKIT_WIRE_BANK_ACCOUNT')."</span>".
		// 				$this->params->get('bank_account','')."</li>";

		// 		$html  .= "<li><span class='key'>".JText::_('COM_BOOKIT_WIRE_IBAN').
		// 			"</span>".$this->params->get('IBAN','')."</li>";

		// 		$html  .= "<li><span class='key'>".JText::_('COM_BOOKIT_WIRE_SWIFT').
		// 			"</span>".$this->params->get('SWIFT','')."</li>";
		// 		$html  .= "</lu>";

		//Setting it without lu

		$html  = '<b>'.
				JText::_('COM_BOOKIT_WIRE_BANK_ADDRESS').': </b>'.
				$this->params->get('bank_address','').'</br>';
		$html  .= "<b>".
				JText::_('COM_BOOKIT_WIRE_BANK_ACCOUNT').": </b>".
				$this->params->get('bank_account','')."</br>";

		if ($this->params->get('bank_code','')!="") {
			$html  .= '<b>'.
					JText::_('COM_BOOKIT_WIRE_BANK_CODE').': </b>'.
					$this->params->get('bank_code','').'</br>';
		}

		$html  .= "<b>".JText::_('COM_BOOKIT_WIRE_IBAN').
		": </b>".$this->params->get('IBAN','')."</br>";

		$html  .= "<b>".JText::_('COM_BOOKIT_WIRE_SWIFT').
		": </b>".$this->params->get('SWIFT','')."</br>";



		//Secondary account
		if ($this->params->get('bank_address2','')!="") {
			$html  .= '<br/><b>'.
					JText::_('COM_BOOKIT_WIRE_BANK_ADDRESS2').': </b>'.
					$this->params->get('bank_address2','').'</br>';
		}
		if ($this->params->get('bank_account2','')!="") {
			$html  .= '<b>'.
					JText::_('COM_BOOKIT_WIRE_BANK_ACCOUNT2').': </b>'.
					$this->params->get('bank_account2','').'</br>';
		}
		if ($this->params->get('bank_code2','')!="") {
			$html  .= '<b>'.
					JText::_('COM_BOOKIT_WIRE_BANK_CODE2').': </b>'.
					$this->params->get('bank_code2','').'</br>';
		}
		if ($this->params->get('IBAN2','')!="") {
			$html  .= '<b>'.
					JText::_('COM_BOOKIT_WIRE_IBAN2').': </b>'.
					$this->params->get('IBAN2','').'</br>';
		}
		if ($this->params->get('SWIFT2','')!="") {
			$html  .= '<b>'.
					JText::_('COM_BOOKIT_WIRE_SWIFT2').': </b>'.
					$this->params->get('SWIFT2','').'</br>';
		}

		$res->msg = $html;
		$res->code = 1;
		return $res;
	}
}